Become a MacRumors Supporter for $50/year with no ads, ability to filter front page stories, and private forums.
Status
The first post of this thread is a WikiPost and can be edited by anyone with the appropiate permissions. Your edits will be public.

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
This is a continuation of @kencu instructions here: https://forums.macrumors.com/thread...s.2232031/page-45?post=30227761#post-30227761
Macports Guide: https://guide.macports.org/
[The post will keep being updated]

I refactor the post in order to make it easier: you won't need to refer to the earlier thread.
So, what you need to do step-wise:

1. Download Macports source code here: MacPorts-2.8.1
2. Extract the archive, then:
Code:
cd MacPorts-2.8.0/
./configure
make && sudo make install
Or from my tree (sandbox fixed for 10A190): https://github.com/barracuda156/macports-base-10A190

3. Assuming you have BBEdit installed,
Code:
bbedit /opt/local/etc/macports/macports.conf

That opens the config file, add the following lines, save the file:
Code:
build_arch ppc
universal_archs ppc ppc64
buildfromsource always
cxx_stdlib libstdc++
buildmakejobs           /NUMBER OF CPU CORES/

The following setting may be useful if you have more than one Xcode installation (relevant for 10.6.8 Rosetta):
Code:
developer_dir           /Developer

4. Then open this file:
Code:
bbedit /opt/local/etc/macports/archive_sites.conf

Uncomment the last line, so that you have:
Code:
name                    macports_archives

5. Open sandbox config:
Code:
bbedit /opt/local/libexec/macports/lib/port1.0/portsandbox.tcl

Replace one line (in fact, just a number), save the file:
Code:
@@ -121,7 +121,7 @@
     foreach dir $allow_dirs {
         foreach perm $perms {
             append portsandbox_profile " (allow $perm ("
-            if {${os.major} > 9} {
+            if {${os.major} > 10} {
                 append portsandbox_profile "subpath \"${dir}\"))"
             } else {
                 append portsandbox_profile "regex #\"^${dir}/\"))"

6. Add the following to your PATH:
Code:
PATH=/opt/local/bin:/opt/local/sbin:$PATH
See here: https://guide.macports.org/#installing.shell
This is needed for the shell (zsh, bash) to recognize "port" command. (Of course you may also run it instead as /opt/local/bin/port.)

7. Run the port sync (will take quite a while):
Code:
sudo port -v sync

8. Open this:
Code:
bbedit /opt/local/etc/macports/sources.conf

Add #override repo lines, so that in the bottom you have:
Code:
# override repo
file:///opt/PPCSnowLeopardPorts

rsync://rsync.macports.org/macports/release/tarballs/ports.tar [default]

9. Place the extracted PPCSnowLeopardPorts folder in /opt.

10. Run port sync again:
Code:
sudo port -v sync

11. Run the following:
Code:
sudo mv /opt/local/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/_resources/port1.0/compilers /opt/local/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/_resources/port1.0/compilers-moved
sudo ln -s /opt/PPCSnowLeopardPorts/_resources/port1.0/compilers /opt/local/var/macports/sources/rsync.macports.org/macports/release/tarballs/ports/_resources/port1.0/compilers

This (11) should be done every time after port sync. (Nothing breaks down if you don't, but Macports gonna try using compilers that are unavailable for 10.6 PPC.)

12. Build whatever you need with "sudo port -v install". More useful info here: https://guide.macports.org/

P. S. The attachment below is the original repo by @kencu

UPD (29.03.22): As of now, there is an error on 10A96. DO NOT USE 10A96.

UPD (30.08.22)
: Large part of Rosetta (and by extension some of 10.6 PPC) fixes are merged in Macports base. Some errors reported below are no longer relevant.
gcc10, gcc11 and gcc12 still need custom patches for 10.6 PPC.

UPD (06.10.22): Nuked my Rosetta ports tree for now, since everything is either merged to Macports or in the process (10.6.8 is officially supported, so fixes are accepted, usually).
THERE ARE STILL FEW ISSUES WITH ROSETTA – so even though it works, it is not smooth.

CUSTOM FIXES FOR 10.6 PPC (10A190): https://github.com/barracuda156/macports-ports/tree/snow-ppc
(here I will put the staff that either won’t be or unlikely to be accepted with upstream).

Ports fixed for 10A190 (I will try keeping versions updated with the master):
cmake-bootstrap
gdb-apple
git
(at the moment there is a general bug preventing a build with gcc-4.2; use gcc7 or later until fixed: sudo port -v install/upgrade git configure.compiler=macports-gcc-7)
ld64-127
openssl11
openssl3
gcc7 / libgcc7
gcc10-bootstrap
gcc10 / libgcc10
gcc11 / libgcc11
gcc12 / libgcc12
llvm-5.0
libsdl12
wxWidgets-3.0
xorg-server-legacy
It can be reasonably assumed that everything else should work as-is (aside of other gcc versions, I will make fixes for some soon), as long as PPC is supported in principle. If something works on 10.5.8, but fails on 10.6 PPC, REPORT HERE, I will try fixing it.
This branch is ONLY for 10A190. Do not use anything from here for any other PPC systems, including 10.6.x Rosetta.
 

Attachments

  • PPCSnowLeopardPorts-main.zip
    140.5 KB · Views: 110
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Here is what I currently built on 10.6.8 for ppc (update 06.02.2022):

Code:
Last login: Sun Feb  6 21:05:17 on ttys000
svacchanda$ port installed | grep active
  aalib @1.4rc5_5 (active)
  appres @1.0.5_0 (active)
  aspell @0.60.8_1 (active)
  aspell-dict-en @2020.12.07_0 (active)
  at-spi2-atk @2.38.0_0 (active)
  at-spi2-core @2.38.0_0 (active)
  atk @2.36.0_2 (active)
  autoconf @2.71_1 (active)
  autoconf-archive @2021.02.19_0 (active)
  autoconf213 @2.13_1 (active)
  automake @1.16.5_0 (active)
  bdftopcf @1.1_0 (active)
  bison @3.8.2_2 (active)
  bison-runtime @3.8.2_0 (active)
  bitmap @1.0.9_0 (active)
  boost176 @1.76.0_3+no_single+no_static+python39 (active)
  brotli @1.0.9_2 (active)
  bsdmake @24_1 (active)
  btor2tools @20210628_0 (active)
  bzip2 @1.0.8_0 (active)
  cairo @1.17.4_0+quartz+x11 (active)
  cctools @949.0.1_1 (active)
  clang_select @2.2_0 (active)
  cmake @3.22.2_0 (active)
  cmake-bootstrap @3.9.4_0 (active)
  compface @1.5.2_1 (active)
  coreutils @8.32_1 (active)
  cppunit @1.15.1_0 (active)
  cppzmq @4.8.1_0 (active)
  ctags @5.8_4 (active)
  ctorrent @3.3.2_4 (active)
  curl @7.80.0_0+ssl (active)
  curl-ca-bundle @7.80.0_1 (active)
  cython_select @0.1_1 (active)
  dav1d @0.9.2_0 (active)
  db48 @4.8.30_4 (active)
  dbus @1.12.20_0 (active)
  dbus-glib @0.112_0 (active)
  dbus-python27 @1.2.16_0 (active)
  dbus-python39 @1.2.16_0 (active)
  dbus-python310 @1.2.16_0 (active)
  dejagnu @1.6.2_0 (active)
  desktop-file-utils @0.26_0 (active)
  docbook-xml @5.0_3 (active)
  docbook-xml-4.1.2 @5.0_1 (active)
  docbook-xml-4.2 @5.0_1 (active)
  docbook-xml-4.3 @5.0_1 (active)
  docbook-xml-4.4 @5.0_1 (active)
  docbook-xml-4.5 @5.0_1 (active)
  docbook-xml-5.0 @5.0_1 (active)
  docbook-xsl-nons @1.79.2_0 (active)
  docutils_select @0.1_0 (active)
  doxygen @1.9.3_1 (active)
  dyncall @1.2_0 (active)
  editres @1.0.7_0 (active)
  eigen @2.0.17_0 (active)
  eigen3 @3.4.0_0+gcc7 (active)
  enchant2 @2.3.2_0+aspell (active)
  expat @2.4.4_0 (active)
  findutils @4.7.0_1 (active)
  flex @2.6.4_0 (active)
  font-adobe-75dpi @1.0.3_1 (active)
  font-adobe-100dpi @1.0.3_1 (active)
  font-adobe-utopia-75dpi @1.0.4_1 (active)
  font-adobe-utopia-100dpi @1.0.4_1 (active)
  font-adobe-utopia-type1 @1.0.4_1 (active)
  font-alias @1.0.4_0 (active)
  font-arabic-misc @1.0.3_1 (active)
  font-bh-75dpi @1.0.3_1 (active)
  font-bh-100dpi @1.0.3_1 (active)
  font-bh-lucidatypewriter-75dpi @1.0.3_1 (active)
  font-bh-lucidatypewriter-100dpi @1.0.3_1 (active)
  font-bh-ttf @1.0.3_1 (active)
  font-bh-type1 @1.0.3_1 (active)
  font-bitstream-75dpi @1.0.3_1 (active)
  font-bitstream-100dpi @1.0.3_1 (active)
  font-bitstream-speedo @1.0.2_1 (active)
  font-bitstream-type1 @1.0.3_1 (active)
  font-cronyx-cyrillic @1.0.3_1 (active)
  font-cursor-misc @1.0.3_1 (active)
  font-daewoo-misc @1.0.3_1 (active)
  font-dec-misc @1.0.3_1 (active)
  font-ibm-type1 @1.0.3_1 (active)
  font-isas-misc @1.0.3_1 (active)
  font-jis-misc @1.0.3_1 (active)
  font-micro-misc @1.0.3_1 (active)
  font-misc-cyrillic @1.0.3_1 (active)
  font-misc-ethiopic @1.0.4_0 (active)
  font-misc-meltho @1.0.3_1 (active)
  font-misc-misc @1.1.2_1 (active)
  font-mutt-misc @1.0.3_1 (active)
  font-schumacher-misc @1.1.2_1 (active)
  font-screen-cyrillic @1.0.4_1 (active)
  font-sony-misc @1.0.3_1 (active)
  font-sun-misc @1.0.3_1 (active)
  font-winitzki-cyrillic @1.0.3_1 (active)
  font-xfree86-type1 @1.0.4_1 (active)
  fontconfig @2.13.1_0 (active)
  fonttosfnt @1.2.2_0 (active)
  fop @1.1_1 (active)
  freeglut @3.2.1_0 (active)
  freetype @2.11.1_0 (active)
  fribidi @1.0.11_0 (active)
  fslsfonts @1.0.5_0 (active)
  fstobdf @1.0.6_0 (active)
  gawk @5.1.1_1 (active)
  gcc6 @6.5.0_7 (active)
  gcc7 @7.5.0_3 (active)
  gcc_select @0.1_9 (active)
  gdbm @1.23_0 (active)
  gdk-pixbuf2 @2.42.2_2+x11 (active)
  getopt @1.1.6_0 (active)
  gettext @0.21_0 (active)
  gettext-runtime @0.21_0 (active)
  gettext-tools-libs @0.21_0 (active)
  ghostscript @9.55.0_0+x11 (active)
  giflib @4.2.3_0 (active)
  gindent @2.2.12_0 (active)
  git @2.35.1_0+credential_osxkeychain+diff_highlight+doc+pcre+perl5_28 (active)
  glib2 @2.64.6_0+x11 (active)
  glm @0.9.9.8_0 (active)
  glxgears @8.4.0_0 (active)
  glxinfo @8.4.0_0 (active)
  gmake @4.3_0 (active)
  gmp @6.2.1_0 (active)
  gnome-common @3.18.0_0 (active)
  gnutar @1.34_1 (active)
  gnutls @3.6.16_3 (active)
  gobject-introspection @1.60.2_7 (active)
  gperf @3.1_0 (active)
  gperf-bootstrap @3.1_0 (active)
  graphite2 @1.3.13_1 (active)
  grep @3.7_2 (active)
  groff @1.22.4_6 (active)
  gsed @4.8_1 (active)
  gtk-doc @1.32_1+python39 (active)
  gtk2 @2.24.33_0+x11 (active)
  gtk3 @3.24.31_0+x11 (active)
  gts @0.7.6-20121130_1 (active)
  gunits @2.19_0 (active)
  gzip @1.11_0 (active)
  harfbuzz @3.2.0_0 (active)
  harfbuzz-icu @3.2.0_0 (active)
  help2man @1.48.5_0 (active)
  hicolor-icon-theme @0.17_0 (active)
  htop @3.1.2_0 (active)
  hwloc @2.4.1_0 (active)
  hyphen @2.8.8_0 (active)
  iceauth @1.0.8_0 (active)
  ico @1.0.5_0 (active)
  icu @67.1_4 (active)
  irssi @1.2.3_1+perl (active)
  isl @0.24_1 (active)
  itstool @2.0.7_2+python39 (active)
  jags @4.3.0_1+gcc7 (active)
  jasper @2.0.33_0 (active)
  jbig2dec @0.19_0 (active)
  jbigkit @2.1_0 (active)
  kerberos5 @1.19.2_1 (active)
  lcms2 @2.12_0 (active)
  ld64 @3_4+ld64_127 (active)
  ld64-97 @97.17_9+llvm33 (active)
  ld64-127 @127.2_14+llvm33 (active)
  ld64-xcode @2_4 (active)
  legacy-support @1.0.4_0 (active)
  less @590_0+pcre (active)
  libarchive @3.5.2_1 (active)
  libatomic_ops @7.6.12_0 (active)
  libb2 @0.98.1_1 (active)
  libcomerr @1.45.6_0 (active)
  libcroco @0.6.13_1 (active)
  libde265 @1.0.8_0 (active)
  libedit @20210910-3.1_1 (active)
  libepoxy @1.5.9_2+python39 (active)
  libevent @2.1.12_1 (active)
  libffi @3.4.2_2 (active)
  libgcc @5.0_0 (active)
  libgcc6 @6.5.0_4 (active)
  libgcc7 @7.5.0_1 (active)
  libgcrypt @1.10.0_0 (active)
  libGLU @9.0.1_0 (active)
  libgpg-error @1.44_0 (active)
  libiconv @1.16_1 (active)
  libiconv-bootstrap @1.16_1 (active)
  libidn @1.38_0 (active)
  libidn2 @2.3.2_1 (active)
  libjpeg-turbo @2.1.2_0 (active)
  libLASi @1.1.3_1 (active)
  libmacho-headers @949.0.1_0 (active)
  libmng @2.0.3_1 (active)
  libmpc @1.2.1_0 (active)
  libnetpbm @10.97.02_0 (active)
  libogg @1.3.5_1 (active)
  libotr @4.1.1_0 (active)
  libpaper @1.1.28_0 (active)
  libpixman @0.38.4_0 (active)
  libpng @1.6.37_0 (active)
  libpsl @0.21.1-20210726_2 (active)
  libraqm @0.7.2_0 (active)
  libshout2 @2.4.5_1 (active)
  libsodium @1.0.18-20200728_0 (active)
  libtasn1 @4.18.0_0 (active)
  libtextstyle @0.21_0 (active)
  libtheora @1.1.1_3 (active)
  libtool @2.4.6_13 (active)
  libtorrent-rasterbar @2.0.5_0+python39 (active)
  libunistring @1.0_0 (active)
  libunwind-headers @5.0.1_0 (active)
  libuv @1.43.0_0 (active)
  libvorbis @1.3.7_0 (active)
  libxml2 @2.9.12_1 (active)
  libxslt @1.1.34_6 (active)
  libyaml @0.2.5_0 (active)
  links @2.25_1 (active)
  listres @1.0.4_0 (active)
  llvm-3.3 @3.3_13 (active)
  llvm-3.5 @3.5.2_9 (active)
  llvm_select @2_0 (active)
  lmdb @0.9.29_0 (active)
  lua @5.3.5_0 (active)
  luit @1.1.1_0 (active)
  lz4 @1.9.3_1 (active)
  lzip @1.22_0 (active)
  lzma @4.65_1 (active)
  lzo2 @2.10_0 (active)
  m4 @1.4.19_1 (active)
  mesa @17.1.6_2+osmesa+python27 (active)
  meson @0.59.1_2 (active)
  mkfontscale @1.2.1_0 (active)
  mpfr @4.1.0_0 (active)
  mpi-doc @3.4.2_0 (active)
  mpi_select @0.0_3 (active)
  mpich-gcc7 @3.4.2_0+fortran (active)
  mpstats @0.2.0_0 (active)
  ncurses @6.3_0 (active)
  ncurses-bootstrap @6.3_0 (active)
  netpbm @10.97.02_0+x11 (active)
  nettle @3.7.3_0 (active)
  ninja @1.10.2_3 (active)
  oclock @1.0.4_0 (active)
  openjpeg @2.4.0_0 (active)
  openssl @1.1.1k_0 (active)
  openssl11 @1.1.1l_5 (active)
  ossp-uuid @1.6.2_12+perl5_28 (active)
  p5.28-authen-sasl @2.160.0_0 (active)
  p5.28-b-cow @0.4.0_0 (active)
  p5.28-capture-tiny @0.480.0_0 (active)
  p5.28-cgi @4.530.0_0 (active)
  p5.28-clone @0.450.0_0 (active)
  p5.28-cpan-meta @2.150.10_0 (active)
  p5.28-cpan-meta-requirements @2.140.0_0 (active)
  p5.28-cpan-meta-yaml @0.18.0_0 (active)
  p5.28-data-dump @1.250.0_0 (active)
  p5.28-devel-checkbin @0.40.0_0 (active)
  p5.28-digest-hmac @1.40.0_0 (active)
  p5.28-digest-sha1 @2.130.0_4 (active)
  p5.28-encode @3.160.0_0 (active)
  p5.28-encode-locale @1.50.0_0 (active)
  p5.28-error @0.170.290_0 (active)
  p5.28-extutils-config @0.8.0_0 (active)
  p5.28-extutils-helpers @0.26.0_0 (active)
  p5.28-extutils-install @2.200.0_0 (active)
  p5.28-extutils-installpaths @0.12.0_0 (active)
  p5.28-extutils-makemaker @7.640.0_1 (active)
  p5.28-extutils-manifest @1.730.0_0 (active)
  p5.28-file-listing @6.140.0_0 (active)
  p5.28-getopt-long @2.520.0_0 (active)
  p5.28-gssapi @0.280.0_3 (active)
  p5.28-html-form @6.70.0_0 (active)
  p5.28-html-parser @3.760.0_0 (active)
  p5.28-html-tagset @3.200.0_4 (active)
  p5.28-http-cookiejar @0.12.0_0 (active)
  p5.28-http-cookies @6.100.0_0 (active)
  p5.28-http-daemon @6.120.0_0 (active)
  p5.28-http-date @6.50.0_0 (active)
  p5.28-http-message @6.360.0_0 (active)
  p5.28-http-negotiate @6.10.0_1 (active)
  p5.28-http-tiny @0.80.0_0 (active)
  p5.28-inc-latest @0.500.0_0 (active)
  p5.28-io-html @1.4.0_0 (active)
  p5.28-io-socket-ip @0.410.0_0 (active)
  p5.28-io-socket-ssl @2.74.0_0 (active)
  p5.28-libwww-perl @6.610.0_0 (active)
  p5.28-lwp-mediatypes @6.40.0_0 (active)
  p5.28-module-build @0.423.100_0 (active)
  p5.28-module-build-tiny @0.39.0_1 (active)
  p5.28-module-metadata @1.0.37_0 (active)
  p5.28-mozilla-ca @20211001_0 (active)
  p5.28-net-http @6.220.0_1 (active)
  p5.28-net-libidn @0.120.0_5 (active)
  p5.28-net-smtp-ssl @1.40.0_0 (active)
  p5.28-net-ssleay @1.920.0_0 (active)
  p5.28-perl-ostype @1.10.0_0 (active)
  p5.28-pod-escapes @1.70.0_0 (active)
  p5.28-pod-simple @3.430.0_0 (active)
  p5.28-podlators @4.140.0_0 (active)
  p5.28-scalar-list-utils @1.600.0_0 (active)
  p5.28-socket @2.32.0_0 (active)
  p5.28-sub-name @0.260.0_0 (active)
  p5.28-sub-uplevel @0.280.0_0 (active)
  p5.28-term-readkey @2.380.0_0 (active)
  p5.28-test-deep @1.130.0_0 (active)
  p5.28-test-exception @0.430.0_0 (active)
  p5.28-test-fatal @0.16.0_0 (active)
  p5.28-test-harness @3.420.0_0 (active)
  p5.28-test-leaktrace @0.170.0_0 (active)
  p5.28-test-needs @0.2.9_0 (active)
  p5.28-test-nowarnings @1.60.0_0 (active)
  p5.28-test-requires @0.110.0_0 (active)
  p5.28-test-requiresinternet @0.50.0_0 (active)
  p5.28-test-simple @1.302.188_0 (active)
  p5.28-test-warn @0.360.0_0 (active)
  p5.28-time-local @1.300.0_0 (active)
  p5.28-timedate @2.330.0_0 (active)
  p5.28-try-tiny @0.310.0_0 (active)
  p5.28-uri @5.100.0_0 (active)
  p5.28-version @0.992.900_0 (active)
  p5.28-www-robotrules @6.20.0_1 (active)
  p5.28-xml-parser @2.460.0_0 (active)
  p5.30-b-cow @0.4.0_0 (active)
  p5.30-capture-tiny @0.480.0_0 (active)
  p5.30-clone @0.450.0_0 (active)
  p5.30-cpan-meta @2.150.10_0 (active)
  p5.30-cpan-meta-requirements @2.140.0_0 (active)
  p5.30-cpan-meta-yaml @0.18.0_0 (active)
  p5.30-data-dump @1.250.0_0 (active)
  p5.30-devel-checkbin @0.40.0_0 (active)
  p5.30-encode @3.160.0_0 (active)
  p5.30-encode-locale @1.50.0_0 (active)
  p5.30-extutils-config @0.8.0_0 (active)
  p5.30-extutils-helpers @0.26.0_0 (active)
  p5.30-extutils-install @2.200.0_0 (active)
  p5.30-extutils-installpaths @0.12.0_0 (active)
  p5.30-extutils-makemaker @7.640.0_1 (active)
  p5.30-extutils-manifest @1.730.0_0 (active)
  p5.30-file-listing @6.140.0_0 (active)
  p5.30-getopt-long @2.520.0_0 (active)
  p5.30-html-form @6.70.0_0 (active)
  p5.30-html-parser @3.760.0_0 (active)
  p5.30-html-tagset @3.200.0_4 (active)
  p5.30-http-cookiejar @0.12.0_0 (active)
  p5.30-http-cookies @6.100.0_0 (active)
  p5.30-http-daemon @6.120.0_0 (active)
  p5.30-http-date @6.50.0_0 (active)
  p5.30-http-message @6.360.0_0 (active)
  p5.30-http-negotiate @6.10.0_1 (active)
  p5.30-http-tiny @0.80.0_0 (active)
  p5.30-inc-latest @0.500.0_0 (active)
  p5.30-io-html @1.4.0_0 (active)
  p5.30-io-socket-ip @0.410.0_0 (active)
  p5.30-io-socket-ssl @2.74.0_0 (active)
  p5.30-libwww-perl @6.610.0_0 (active)
  p5.30-locale-gettext @1.70.0_1 (active)
  p5.30-lwp-mediatypes @6.40.0_0 (active)
  p5.30-module-build @0.423.100_0 (active)
  p5.30-module-build-tiny @0.39.0_1 (active)
  p5.30-module-metadata @1.0.37_0 (active)
  p5.30-mozilla-ca @20211001_0 (active)
  p5.30-net-http @6.220.0_1 (active)
  p5.30-net-libidn @0.120.0_5 (active)
  p5.30-net-ssleay @1.920.0_0 (active)
  p5.30-pathtools @3.750.0_0 (active)
  p5.30-perl-ostype @1.10.0_0 (active)
  p5.30-pod-escapes @1.70.0_0 (active)
  p5.30-pod-simple @3.430.0_0 (active)
  p5.30-podlators @4.140.0_0 (active)
  p5.30-scalar-list-utils @1.600.0_0 (active)
  p5.30-socket @2.32.0_0 (active)
  p5.30-sub-name @0.260.0_0 (active)
  p5.30-sub-uplevel @0.280.0_0 (active)
  p5.30-test-deep @1.130.0_0 (active)
  p5.30-test-exception @0.430.0_0 (active)
  p5.30-test-fatal @0.16.0_0 (active)
  p5.30-test-harness @3.420.0_0 (active)
  p5.30-test-leaktrace @0.170.0_0 (active)
  p5.30-test-needs @0.2.9_0 (active)
  p5.30-test-nowarnings @1.60.0_0 (active)
  p5.30-test-requires @0.110.0_0 (active)
  p5.30-test-requiresinternet @0.50.0_0 (active)
  p5.30-test-simple @1.302.188_0 (active)
  p5.30-test-warn @0.360.0_0 (active)
  p5.30-time-local @1.300.0_0 (active)
  p5.30-timedate @2.330.0_0 (active)
  p5.30-try-tiny @0.310.0_0 (active)
  p5.30-uri @5.100.0_0 (active)
  p5.30-version @0.992.900_0 (active)
  p5.30-www-robotrules @6.20.0_1 (active)
  p5.30-xml-parser @2.460.0_0 (active)
  p5.30-xml-parser-lite @0.722.0_0 (active)
  p5.34-b-cow @0.4.0_0 (active)
  p5.34-capture-tiny @0.480.0_0 (active)
  p5.34-clone @0.450.0_0 (active)
  p5.34-cpan-meta @2.150.10_0 (active)
  p5.34-cpan-meta-requirements @2.140.0_0 (active)
  p5.34-cpan-meta-yaml @0.18.0_0 (active)
  p5.34-data-dump @1.250.0_0 (active)
  p5.34-date-manip @6.860.0_0 (active)
  p5.34-devel-checkbin @0.40.0_0 (active)
  p5.34-devel-symdump @2.180.0_0 (active)
  p5.34-encode @3.160.0_0 (active)
  p5.34-encode-locale @1.50.0_0 (active)
  p5.34-eval @2.2.8_3 (active)
  p5.34-extutils-config @0.8.0_0 (active)
  p5.34-extutils-helpers @0.26.0_0 (active)
  p5.34-extutils-install @2.200.0_0 (active)
  p5.34-extutils-installpaths @0.12.0_0 (active)
  p5.34-extutils-makemaker @7.640.0_1 (active)
  p5.34-extutils-manifest @1.730.0_0 (active)
  p5.34-file-find-rule @0.340.0_0 (active)
  p5.34-file-listing @6.140.0_0 (active)
  p5.34-getopt-long @2.520.0_0 (active)
  p5.34-html-form @6.70.0_0 (active)
  p5.34-html-parser @3.760.0_0 (active)
  p5.34-html-tagset @3.200.0_4 (active)
  p5.34-http-cookiejar @0.12.0_0 (active)
  p5.34-http-cookies @6.100.0_0 (active)
  p5.34-http-daemon @6.120.0_0 (active)
  p5.34-http-date @6.50.0_0 (active)
  p5.34-http-message @6.360.0_0 (active)
  p5.34-http-negotiate @6.10.0_1 (active)
  p5.34-http-tiny @0.80.0_0 (active)
  p5.34-inc-latest @0.500.0_0 (active)
  p5.34-io-html @1.4.0_0 (active)
  p5.34-io-socket-ip @0.410.0_0 (active)
  p5.34-io-socket-ssl @2.74.0_0 (active)
  p5.34-libwww-perl @6.610.0_0 (active)
  p5.34-lwp-mediatypes @6.40.0_0 (active)
  p5.34-module-build @0.423.100_0 (active)
  p5.34-module-build-tiny @0.39.0_1 (active)
  p5.34-module-metadata @1.0.37_0 (active)
  p5.34-mozilla-ca @20211001_0 (active)
  p5.34-net-http @6.220.0_1 (active)
  p5.34-net-libidn @0.120.0_5 (active)
  p5.34-net-ssleay @1.920.0_0 (active)
  p5.34-number-compare @0.30.0_2 (active)
  p5.34-perl-ostype @1.10.0_0 (active)
  p5.34-pod-coverage @0.230.0_1 (active)
  p5.34-pod-escapes @1.70.0_0 (active)
  p5.34-pod-simple @3.430.0_0 (active)
  p5.34-podlators @4.140.0_0 (active)
  p5.34-scalar-list-utils @1.600.0_0 (active)
  p5.34-socket @2.32.0_0 (active)
  p5.34-sub-name @0.260.0_0 (active)
  p5.34-sub-uplevel @0.280.0_0 (active)
  p5.34-test-deep @1.130.0_0 (active)
  p5.34-test-exception @0.430.0_0 (active)
  p5.34-test-fatal @0.16.0_0 (active)
  p5.34-test-harness @3.420.0_0 (active)
  p5.34-test-inter @1.90.0_0 (active)
  p5.34-test-leaktrace @0.170.0_0 (active)
  p5.34-test-needs @0.2.9_0 (active)
  p5.34-test-nowarnings @1.60.0_0 (active)
  p5.34-test-pod @1.520.0_0 (active)
  p5.34-test-pod-coverage @1.100.0_1 (active)
  p5.34-test-requires @0.110.0_0 (active)
  p5.34-test-requiresinternet @0.50.0_0 (active)
  p5.34-test-simple @1.302.188_0 (active)
  p5.34-test-warn @0.360.0_0 (active)
  p5.34-text-glob @0.110.0_0 (active)
  p5.34-time-local @1.300.0_0 (active)
  p5.34-timedate @2.330.0_0 (active)
  p5.34-try-tiny @0.310.0_0 (active)
  p5.34-uri @5.100.0_0 (active)
  p5.34-version @0.992.900_0 (active)
  p5.34-www-robotrules @6.20.0_1 (active)
  p5.34-xml-parser @2.460.0_0 (active)
  p5.34-xml-parser-lite @0.722.0_0 (active)
  p7zip @16.02_5 (active)
  p11-kit @0.24.1_0 (active)
  pango @1.50.3_0+quartz+x11 (active)
  pcre @8.45_0 (active)
  pcre2 @10.39_0 (active)
  perl5 @5.28.3_0+perl5_28 (active)
  perl5.28 @5.28.3_4 (active)
  perl5.30 @5.30.3_3 (active)
  perl5.34 @5.34.0_2 (active)
  pkgconfig @0.29.2_0 (active)
  pkgconfig-bootstrap @0.29.2_0 (active)
  popt @1.18_1 (active)
  psutils @p17_1 (active)
  py-bootstrap-modules @2021-11-21_1 (active)
  py27-attrs @21.4.0_0 (active)
  py27-automat @20.2.0_0 (active)
  py27-cairo @1.18.2_0 (active)
  py27-cython @0.29.13_0 (active)
  py27-docutils @0.18.1_0 (active)
  py27-gobject3 @3.36.1_3 (active)
  py27-libxml2 @2.9.12_0 (active)
  py27-m2r @0.2.1_0 (active)
  py27-mistune @0.8.4_0 (active)
  py27-roman @3.3_0 (active)
  py27-setuptools @44.1.1_0 (active)
  py27-setuptools_scm @5.0.2_0 (active)
  py27-six @1.16.0_0 (active)
  py27-xdg @0.27_0 (active)
  py38-anytree @2.8.0_1 (active)
  py38-argh @0.26.2_0 (active)
  py38-asn1 @0.4.8_0 (active)
  py38-asn1-modules @0.2.8_0 (active)
  py38-attrs @21.4.0_0 (active)
  py38-automat @20.2.0_0 (active)
  py38-bcrypt @3.2.0_0 (active)
  py38-beaker @1.11.0_0 (active)
  py38-cairo @1.20.1_0 (active)
  py38-cffi @1.15.0_0 (active)
  py38-click @8.0.3_0 (active)
  py38-cryptography @2.9.2_2 (active)
  py38-cython @0.29.26_0 (active)
  py38-docutils @0.18.1_0 (active)
  py38-gobject3 @3.38.0_2 (active)
  py38-hyperlink @19.0.0_0 (active)
  py38-idna @3.3_0 (active)
  py38-incremental @21.3.0_0 (active)
  py38-m2r @0.2.1_0 (active)
  py38-mako @1.1.6_0 (active)
  py38-markupsafe @2.0.1_0 (active)
  py38-mistune @0.8.4_0 (active)
  py38-olefile @0.46_0 (active)
  py38-openssl @21.0.0_0 (active)
  py38-packaging @21.3_0 (active)
  py38-parsing @3.0.4_0 (active)
  py38-Pillow @9.0.1_0 (active)
  py38-pycparser @2.21_0 (active)
  py38-pygments @2.10.0_0 (active)
  py38-pyhamcrest @2.0.2_0 (active)
  py38-python-install @0.0.3_5 (active)
  py38-rencode @1.0.6_0 (active)
  py38-roman @3.3_0 (active)
  py38-service_identity @21.1.0_0 (active)
  py38-setproctitle @1.2.2_0 (active)
  py38-setuptools @60.6.0_0 (active)
  py38-setuptools_scm @6.3.2_0 (active)
  py38-six @1.16.0_0 (active)
  py38-tkinter @3.8.12_0 (active)
  py38-tomli @2.0.0_0 (active)
  py38-typing_extensions @4.0.1_0 (active)
  py38-wheel @0.37.1_0 (active)
  py38-xdg @0.27_0 (active)
  py38-yaml @6.0_0 (active)
  py38-zopeinterface @5.3.0_0 (active)
  py39-anytree @2.8.0_1 (active)
  py39-argh @0.26.2_0 (active)
  py39-asn1 @0.4.8_0 (active)
  py39-asn1-modules @0.2.8_0 (active)
  py39-attrs @21.4.0_0 (active)
  py39-automat @20.2.0_0 (active)
  py39-beaker @1.11.0_0 (active)
  py39-cairo @1.20.1_0 (active)
  py39-cffi @1.15.0_0 (active)
  py39-click @8.0.3_0 (active)
  py39-cryptography @2.9.2_2 (active)
  py39-cython @0.29.26_0 (active)
  py39-docutils @0.18.1_0 (active)
  py39-gobject3 @3.38.0_2 (active)
  py39-idna @3.3_0 (active)
  py39-importlib-metadata @4.10.0_0 (active)
  py39-incremental @21.3.0_0 (active)
  py39-libxml2 @2.9.12_0 (active)
  py39-lxml @4.7.1_0 (active)
  py39-m2r @0.2.1_0 (active)
  py39-mako @1.1.6_0 (active)
  py39-markdown @3.3.6_0 (active)
  py39-markupsafe @2.0.1_0 (active)
  py39-mistune @0.8.4_0 (active)
  py39-olefile @0.46_0 (active)
  py39-openssl @21.0.0_0 (active)
  py39-packaging @21.3_0 (active)
  py39-parsing @3.0.4_0 (active)
  py39-Pillow @9.0.1_0 (active)
  py39-pycparser @2.21_0 (active)
  py39-pygments @2.10.0_0 (active)
  py39-roman @3.3_0 (active)
  py39-service_identity @21.1.0_0 (active)
  py39-setuptools @60.6.0_0 (active)
  py39-setuptools_scm @6.3.2_0 (active)
  py39-six @1.16.0_0 (active)
  py39-tkinter @3.9.10_0 (active)
  py39-tomli @2.0.0_0 (active)
  py39-typing_extensions @4.0.1_0 (active)
  py39-xdg @0.27_0 (active)
  py39-yaml @6.0_0 (active)
  py39-zipp @3.6.0_0 (active)
  py39-zopeinterface @5.3.0_0 (active)
  py310-argh @0.26.2_0 (active)
  py310-attrs @21.4.0_0 (active)
  py310-automat @20.2.0_0 (active)
  py310-bcrypt @3.2.0_0 (active)
  py310-beaker @1.11.0_0 (active)
  py310-cairo @1.20.1_0 (active)
  py310-cffi @1.15.0_0 (active)
  py310-click @8.0.3_0 (active)
  py310-cython @0.29.26_0 (active)
  py310-docutils @0.18.1_0 (active)
  py310-gobject3 @3.38.0_2 (active)
  py310-incremental @21.3.0_0 (active)
  py310-m2r @0.2.1_0 (active)
  py310-mako @1.1.6_0 (active)
  py310-markupsafe @2.0.1_0 (active)
  py310-mistune @0.8.4_0 (active)
  py310-olefile @0.46_0 (active)
  py310-packaging @21.3_0 (active)
  py310-parsing @3.0.4_0 (active)
  py310-Pillow @9.0.1_0 (active)
  py310-pycparser @2.21_0 (active)
  py310-pygments @2.10.0_0 (active)
  py310-python-install @0.0.3_5 (active)
  py310-roman @3.3_0 (active)
  py310-setuptools @60.6.0_0 (active)
  py310-setuptools_scm @6.3.2_0 (active)
  py310-six @1.16.0_0 (active)
  py310-tkinter @3.10.2_0 (active)
  py310-tomli @2.0.0_0 (active)
  py310-typing_extensions @4.0.1_0 (active)
  py310-xdg @0.27_0 (active)
  py310-yaml @6.0_0 (active)
  py310-zopeinterface @5.3.0_0 (active)
  pygments_select @0.1_0 (active)
  python2_select @0.0_3 (active)
  python3_select @0.0_2 (active)
  python27 @2.7.18_8 (active)
  python27-bootstrap @2.7.18_8 (active)
  python38 @3.8.12_4 (active)
  python39 @3.9.10_0 (active)
  python310 @3.10.2_0 (active)
  python_select @0.3_9 (active)
  R @4.1.2_1+builtin_lapack+cairo+gcc7+openmp+recommended+x11 (active)
  re2c @3.0_0 (active)
  readline @8.1.000_0 (active)
  rendercheck @1.5_1 (active)
  rgb @1.0.6_1 (active)
  rsync @3.2.3_1 (active)
  sessreg @1.1.2_0 (active)
  setxkbmap @1.3.2_0 (active)
  shared-mime-info @2.1_0 (active)
  showfont @1.0.5_0 (active)
  smproxy @1.0.6_0 (active)
  soci @3.2.0_3+boost (active)
  spawn-fcgi @1.6.4_0 (active)
  speex @1.2.0_0 (active)
  sqlite3 @3.37.2_0 (active)
  sqlite3-tcl @3.37.2_0 (active)
  SuiteSparse_AMD @2.4.6_0+gcc7 (active)
  SuiteSparse_BTF @1.2.6_0+gcc7 (active)
  SuiteSparse_COLAMD @2.9.6_0+gcc7 (active)
  SuiteSparse_config @5.9.0_0+gcc7 (active)
  SuiteSparse_KLU @1.3.8_0+gcc7 (active)
  sundials @5.8.0_0+accelerate+gcc7+mpich (active)
  tbb @2020.3_0 (active)
  tcl @8.6.12_0+corefoundation+threads (active)
  texinfo @6.8_0 (active)
  tiff @4.3.0_0 (active)
  tk @8.6.12_0+x11 (active)
  tor @0.4.6.8_2 (active)
  tradcpp @0.5.3_0 (active)
  transset @1.0.2_0 (active)
  twm @1.0.10_0 (active)
  uchardet @0.0.7_0 (active)
  unrar @6.1.4_0 (active)
  unzip @6.0_4 (active)
  urw-fonts @1.0.7pre44_0 (active)
  ux-trie @0.1.9_0 (active)
  viewres @1.0.6_0 (active)
  webp @1.2.2_0 (active)
  wget @1.21.2_3+gnutls (active)
  woff2 @1.0.2_0 (active)
  x11perf @1.6.1_0 (active)
  xauth @1.1.1_0 (active)
  xbacklight @1.2.3_0 (active)
  xbitmaps @1.1.2_0 (active)
  xcalc @1.1.0_0 (active)
  xclipboard @1.1.3_0 (active)
  xclock @1.0.9_0 (active)
  xcmsdb @1.0.5_0 (active)
  xcompmgr @1.1.8_0 (active)
  xconsole @1.0.7_0 (active)
  xcursorgen @1.0.7_0 (active)
  xditview @1.0.5_0 (active)
  xdm @1.1.12_0 (active)
  xdpyinfo @1.3.2_0 (active)
  xedit @1.2.2_0 (active)
  xev @1.2.4_0 (active)
  xeyes @1.2.0_0 (active)
  xfd @1.1.3_0 (active)
  xfindproxy @1.0.4_1 (active)
  xfontsel @1.0.6_0 (active)
  xfs @1.2.0_1 (active)
  xfsinfo @1.0.6_0 (active)
  Xft2 @2.3.4_0 (active)
  xgamma @1.0.6_0 (active)
  xgc @1.0.5_0 (active)
  xhost @1.0.8_0 (active)
  xkbevd @1.1.4_0 (active)
  xkill @1.0.5_0 (active)
  xmlcatmgr @2.2_1 (active)
  xmlto @0.0.28_4 (active)
  xorg-encodings @1.0.5_1 (active)
  xorg-font-util @1.3.2_0 (active)
  xorg-fonts @20090102_1 (active)
  xorg-libdmx @1.1.4_1 (active)
  xorg-libfontenc @1.1.4_0 (active)
  xorg-libFS @1.0.8_0 (active)
  xorg-libice @1.0.10_0 (active)
  xorg-libpthread-stubs @0.4_0 (active)
  xorg-libsm @1.2.3_0 (active)
  xorg-libX11 @1.7.3.1_0 (active)
  xorg-libXau @1.0.9_0 (active)
  xorg-libXaw @1.0.14_0 (active)
  xorg-libxcb @1.14_0+python310 (active)
  xorg-libXcomposite @0.4.5_0 (active)
  xorg-libXcursor @1.2.0_0 (active)
  xorg-libXdamage @1.1.5_0 (active)
  xorg-libXdmcp @1.1.3_0 (active)
  xorg-libXext @1.3.4_0 (active)
  xorg-libXfixes @6.0.0_0 (active)
  xorg-libXfont @1.5.4_2 (active)
  xorg-libXfont2 @2.0.5_0 (active)
  xorg-libXfontcache @1.0.5_2 (active)
  xorg-libXi @1.7.10_0 (active)
  xorg-libXinerama @1.1.4_1 (active)
  xorg-libxkbfile @1.1.0_0 (active)
  xorg-libXmu @1.1.3_0 (active)
  xorg-libXp @1.0.3_2 (active)
  xorg-libXrandr @1.5.2_0 (active)
  xorg-libXScrnSaver @1.2.3_1 (active)
  xorg-libXt @1.2.1_0 (active)
  xorg-libXtst @1.2.3_1 (active)
  xorg-libXv @1.0.11_1 (active)
  xorg-libXxf86vm @1.1.4_1 (active)
  xorg-util-macros @1.19.3_0 (active)
  xorg-xcb-proto @1.14.1_0+python310 (active)
  xorg-xcb-util @0.4.0_1 (active)
  xorg-xorgproto @2021.5_0 (active)
  xorg-xtrans @1.4.0_0 (active)
  xpm @3.5.13_0 (active)
  xrdb @1.2.1_0 (active)
  xrender @0.9.10_1 (active)
  xset @1.2.4_1 (active)
  xxhashlib @0.8.1_1 (active)
  xz @5.2.5_0 (active)
  xz-bootstrap @5.2.5_1 (active)
  zip @3.00_1 (active)
  zlib @1.2.11_0 (active)
  zmq @4.3.4_0 (active)
  zsh @5.8_1 (active)
  zstd @1.5.2_0 (active)
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Known problems:

– clang is broken for PowerPC, use gcc instead.

– As of now, within Macports we can build gcc up to gcc7 (otherwise gcc10 and gcc11 can be built natively for ppc on 10.6.8 and for ppc/ppc64 on 10.5.8; 10.6 PPC pending).

– Due to changes in Xcode ibtool, projects that use new format xib files won’t build on PowerPC (R GUI, Transmission). Solution: manually replace xibs with older versions, make other needed fixes… Lots of pain, work and time.

– ppc64 is not supported on 10.6 (can be built, cannot be run) and in 10.6 SDK. ppc64 in Macports is partly broken. Build for ppc32 for the time-being.

– Quite a number of ports require fixes to get built for 10.6 PPC and even more – to get built for ppc on 10.6.8. In many cases it means mimicking 10.5, forcing a port to use a working compiler or adding build-host-target settings to port file (the latter relevant to 10.6.8 where some ports try to use Intel-specific code that fails). @kencu has fixed many ports for 10.6 PPC, I am working in that direction now.

P. S. Since 10.6 PPC has never been officially released, it is not supported on Macports. I have been asked not to open tickets specific to 10.6 PPC, so I request you not to do that too. However if a port is made to build on 10.5.8 PPC and/or 10.6.8 Rosetta, most likely it can be built on 10.6 PPC. Therefore, check whether a port fails on 10.5.8 and 10.6.8, if it does, you can open a ticket on Macports. (If it does not, then it’s our problem to fix it for 10.6 PPC.)
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Regarding Xcode set-up

On 10A190 it is advisable to use Xcode 3.2 from 10A190. Alternatively Xcode 3.2 from 10A222 can be used, however it needs manual fixes, such as replacement of `ld` and `gnumake`:
UPD. Xcode 3.2 from 10A222 has Intel-only plugins and Intel-only PackageMaker. If you plan to use Xcode and not just Unix tools, rather stay on 10A190 one.
Provisionally Xcode 3.2 tools from 10A261 may also work after replacing `as`: https://forums.macrumors.com/thread...s.2232031/page-64?post=30769928#post-30769928

On 10.6.8 you can choose between Xcode 3.2, Xcode 3.2.6 and Xcode 4.2 (or a combination of these). However while Xcode 4.2 can be made to work for ppc, that requires a rather non-trivial procedure and even then it does not work smoothly with Macports since llvm-gcc-4.2 is faulty, but Xcode 4.2 sets it as a default compiler. Benefits of Xcode 4.2 tools are non-obvious if any, at least for ppc. More on Xcode 4.2 and ppc here:
It is easier to stay on 3.2.x as long as ppc is concerned.
I am currently using Xcode 3.2 from 10A222: it mostly works (as you can see above), however there is an occasional but nasty linker problem (reason unknown atm). Tools from Xcode 3.2.6 are likely to have less bugs, but on the other hand they may be less compatible with 10.6 PPC. No perfect recipe, work in progress.
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
What I have currently built on 10.6 PPC (10A190) (update 24.05.2022):
Code:
a52dec @0.7.4_1
aalib @1.4rc5_5+x11
ADOL-C @2.7.2_1
adwaita-icon-theme @3.38.0_0
aften @0.0.8_0
airctl @0.7.3_0
alac_decoder @0.2.0_0
algol68g @3.0.6_0+compiler+plotutils
apache-ant @1.10.12_0
apache2 @2.4.53_0+brotli+http2+preforkmpm
appres @1.0.5_0
appstream-glib @0.7.18_0
apr @1.7.0_3
apr-util @1.6.1_2+openldap+postgresql84
aquaterm @1.1.1_0
aria2 @1.36.0_2+gnutls
arpack @3.8.0_0+accelerate+gfortran
asciidoc @10.1.3_0
asio @1.22.1_0
aspell @0.60.8_1
aspell-dict-en @2020.12.07_0
at-spi2-atk @2.38.0_0
at-spi2-core @2.38.0_0
atk @2.38.0_0
atkmm @2.28.0_0
AtomicParsley @0.9.0_1
attica @0.4.2_2
autoconf @2.71_1
autoconf-archive @2022.02.11_0
autoconf213 @2.13_1
autoconf263 @2.63_0
autoconf264 @2.64_0
autoconf269 @2.69_0
automake @1.16.5_0
automake17 @1.7.9_2
automake115 @1.15.1_0
automoc @0.9.88_9
avahi @0.8_3+gtk3+python39+x11
avrdude @6.4_0
awscli_select @0.3_0
babl @0.1.92_0
bash @5.1.16_0
bash-completion @2.11_0
bcpp @20210108_0
bdftopcf @1.1_0
bison @3.8.2_2
bison-runtime @3.8.2_0
bitlbee @3.6.1_0+otr
bitmap @1.0.9_0
bittornado @0.3.18_2
black_select @0.1_1
blitz @1.0.2_0+gcc10
blosc @1.21.1_0
bnbt @8.1r3_0
boehmgc @8.2.0_0
boost @1.76_0
boost171 @1.71.0_3+no_single+no_static+python39
boost176 @1.76.0_3+no_single+no_static+python39
boost178 @1.78.0_1+no_single+no_static+python310
boost179 @1.79.0_1+no_single+no_static+python310
botan @2.19.1_0
botan1 @1.10.17_0
brotli @1.0.9_2
brunsli @0.1_0
bsdmake @24_1
btor2tools @20210628_0
bzip2 @1.0.8_0
c-ares @1.18.1_0
cairo @1.17.4_0+quartz+x11
cairomm @1.12.2_0+quartz+x11
cctools @949.0.1_2+llvm37
cddlib @0.94m_0
cdecl @11.15_0
cdf @3.8.1_0
cdparanoia @10.2_2
celt @0.11.3_0
cfitsio @4.1.0_0+gcc11
charls @2.1.0_0
clamav @0.104.3_0
clang-3.4 @3.4.2_16
clang_select @2.2_0
clib @2.8.1_0
cloog @0.18.4_5
cmake @3.22.4_0
cmake-bootstrap @3.9.4_0
ColPack @1.0.10_0
compface @1.5.2_1
coreutils @8.32_1
corkscrew @2.0_0
cosmoplayer @2.1.1_0
cppunit @1.15.1_0
cppzmq @4.8.1_0
ctags @5.8_4
ctorrent @3.3.2_4
curl @7.83.1_0+ares+ssl
curl-ca-bundle @7.83.1_0
cyrus-sasl2 @2.1.27_5+kerberos
cython_select @0.1_1
darwinbuild @37_0
dav1d @1.0.0_0
db47 @4.7.25_3
db48 @4.8.30_4
db53 @5.3.28_0+sql+tcl
db60 @6.0.30_2+sql
db62 @6.2.32_0+sql
dbus @1.14.0_0
dbus-glib @0.112_0
dbus-python27 @1.2.16_0
dbus-python39 @1.2.16_0
dbus-python310 @1.2.16_0
dbusmenu-qt @0.9.2_2
dejagnu @1.6.2_0
desktop-file-utils @0.26_0
dfu-util @0.11_0
DiffPDF @2.1.3_0
dirac @1.0.2_4
djvulibre @3.5.28_2
dmtx-utils @0.7.6_1
docbook-xml @5.0_3
docbook-xml-4.1.2 @5.0_1
docbook-xml-4.2 @5.0_1
docbook-xml-4.3 @5.0_1
docbook-xml-4.4 @5.0_1
docbook-xml-4.5 @5.0_1
docbook-xml-5.0 @5.0_1
docbook-xsl-nons @1.79.2_0
docbook-xsl-ns @1.79.2_0
docutils_select @0.1_0
double-conversion @3.2.0_0
doxygen @1.9.3_1
duktape @2.6.0_0
dupd @1.7.1_1
dvipng @1.17_4
dvisvgm @2.12_4
dyncall @1.3_0
dzip @2.9_0
editres @1.0.7_0
eigen @2.0.17_0
eigen3 @3.4.0_0
enchant @1.6.0_5+aspell
enchant2 @2.3.3_0+aspell
entr @5.2_0
eplot @20200806_0
exiv2 @0.27.5_0
expat @2.4.8_0
expect @5.45.4_1
faac @1_30_0
faad2 @2_10_0_0
fcrackzip @1.0_0
ffmpeg @5.0.0_0+gpl2+gpl3+libdc1394+nonfree+x11
fftw-3 @3.3.10_0+gfortran
fftw-3-single @3.3.10_0+gfortran
findutils @4.7.0_1
flac @1.3.4_0
flex @2.6.4_0
flint @2.8.0_0
floppy @7.0_0+gcc11
fluidsynth @2.0.5_0
flynt @0.76_0
font-adobe-75dpi @1.0.3_1
font-adobe-100dpi @1.0.3_1
font-adobe-utopia-75dpi @1.0.4_1
font-adobe-utopia-100dpi @1.0.4_1
font-adobe-utopia-type1 @1.0.4_1
font-alias @1.0.4_0
font-arabic-misc @1.0.3_1
font-bh-75dpi @1.0.3_1
font-bh-100dpi @1.0.3_1
font-bh-lucidatypewriter-75dpi @1.0.3_1
font-bh-lucidatypewriter-100dpi @1.0.3_1
font-bh-ttf @1.0.3_1
font-bh-type1 @1.0.3_1
font-bitstream-75dpi @1.0.3_1
font-bitstream-100dpi @1.0.3_1
font-bitstream-speedo @1.0.2_1
font-bitstream-type1 @1.0.3_1
font-cronyx-cyrillic @1.0.3_1
font-cursor-misc @1.0.3_1
font-daewoo-misc @1.0.3_1
font-dec-misc @1.0.3_1
font-ibm-type1 @1.0.3_1
font-isas-misc @1.0.3_1
font-jis-misc @1.0.3_1
font-micro-misc @1.0.3_1
font-misc-cyrillic @1.0.3_1
font-misc-ethiopic @1.0.4_0
font-misc-meltho @1.0.3_1
font-misc-misc @1.1.2_1
font-mutt-misc @1.0.3_1
font-schumacher-misc @1.1.2_1
font-screen-cyrillic @1.0.4_1
font-sony-misc @1.0.3_1
font-sun-misc @1.0.3_1
font-winitzki-cyrillic @1.0.3_1
font-xfree86-type1 @1.0.4_1
fontconfig @2.14.0_0
fonttools_select @0.1_0
fonttosfnt @1.2.2_0
fop @1.1_1
freeglut @3.2.2_0
freetype @2.12.1_0
fribidi @1.0.12_0
fslsfonts @1.0.5_0
fstobdf @1.0.6_0
ftidy @7.2_2+gcc11
g95 @0.94_1
gajim @1.3.3-2_0
gawk @5.1.1_1+mpfr
gawk-abort @1.0.1_0
gcc6 @6.5.0_7
gcc10 @10.3.0_1
gcc10-bootstrap @10.3.0_4
gcc11 @11.3.0_1
gcc49 @4.9.4_6
gcc_select @0.1_9
gconf @3.2.6_3+x11
gcr @3.38.1_0
gd2 @2.3.3_1+x11
gdal @3.4.3_0+postgresql14+proj8
gdb-apple @1824_1
gdbm @1.23_0
gdk-pixbuf2 @2.42.8_0
gegl @0.4.36_0+x11
gengetopt @2.23_0
geoclue2 @2.4.12_3+x11
geos @3.10.2_0
getopt @1.1.6_0
gettext @0.21_0
gettext-runtime @0.21_0
gettext-tools-libs @0.21_0
gexiv2 @0.14.0_0+python39
gflags @2.2.2_0
ghc @7.6.3_4+gcc7
ghc-bootstrap @7.6.3_0+gcc7
ghc-filesystem @1.5.10_0
ghc-ppc-bootstrap @7.0.4_0
ghostscript @9.55.0_0+x11
gibbslda @0.2_0
giflib @4.2.3_0+x11
gindent @2.2.12_0
girara @0.3.7_0
git @2.36.1_0+credential_osxkeychain+diff_highlight+doc+pcre+perl5_28
gl2ps @1.4.2_0
glew @2.2.0_0
glib-networking @2.66.0_0
glib2 @2.72.1_0+x11
glibmm @2.62.0_0+x11
glpk @5.0_0
glslang @11.9.0_0
glxgears @8.4.0_0
glxinfo @8.4.0_0
gmake @4.3_0
gmp @6.2.1_1
gnome-common @3.18.0_0
gnome-doc-utils @0.20.10_2
gnome-keyring @3.36.0_0
gnome-mime-data @2.18.0_3
gnome-vfs @2.24.4_5
gnotime @2.4.1_0
gnuastro @0.17_0
gnucap @2017.10.03_1
gnupg2 @2.2.34_0+pinentry
gnuplot @5.4.3_0+aquaterm+luaterm+pangocairo+wxwidgets+x11
gnuregex @0.12_2
gnutar @1.34_2
gnutls @3.7.5_0
gobject-introspection @1.72.0_0
goocanvas2 @2.0.4_1+python27
google-glog @0.5.0_0+gflags
gperf @3.1_0
gperf-bootstrap @3.1_0
gpgme @1.17.1_0
grantlee @0.5.1_0
graphene @1.10.2_0
graphite2 @1.3.13_1
graphviz @2.50.0_0+pangocairo+x11
grep @3.7_2
gretl @2022a_0+gui
groff @1.22.4_6
gsed @4.8_1
gsettings-desktop-schemas @3.38.0_0
gsl @2.7.1_0
gssdp @1.4.0.1_0
gstreamer1 @1.20.1_0
gstreamer1-gst-plugins-bad @1.20.1_0+faac+fdkaac+gpl+x11
gstreamer1-gst-plugins-base @1.20.1_0+ogg+x11
gstreamer1-gst-plugins-good @1.20.1_0+gtk3+pulseaudio+x11
gstreamer1-gst-plugins-ugly @1.20.1_0
gtest @1.11.0_0
gtk-doc @1.32_1+python310
gtk-mac-bundler @0.7.4_0
gtk2 @2.24.33_1+x11
gtk3 @3.24.33_1+x11
gtkmm @2.24.5_2+x11
gtkmm3 @3.24.2_0+x11
gtksourceview2 @2.10.5_9
gtksourceview3 @3.24.11_1
gtksourceview4 @4.8.3_0+x11
gtkspell2 @2.0.16_7+x11
GTorrentViewer @0.2b_7
gts @0.7.6-20121130_1
guile @3.0.8_0
gunits @2.21_0
gupnp @1.4.3_1
gupnp-av @0.14.0_0
gupnp-dlna @0.12.0_0
gupnp-igd @1.2.0_0
gupnp-tools @0.10.2_0
gzip @1.12_0
harfbuzz @4.3.0_0
harfbuzz-icu @4.3.0_0
harminv @1.4.1_0+accelerate+gcc10
hdf4 @4.2.15_2
hdf5 @1.12.2_0+cxx+hl
help2man @1.49.2_0
hg-evolve @10.5.0_0
hg-git @1.0.0_0
hg-keyring @1.4.3_0
hicolor-icon-theme @0.17_0
hiredis @1.0.2_1
howdoi @2.0.19_0
htop @3.2.0_0
hwloc @2.4.1_0
hyphen @2.8.8_0
i2pd @2.41.0_1
iceauth @1.0.8_0
ico @1.0.5_0
icu @67.1_4
ilmbase @2.3.0_1
ImageMagick @6.9.11-60_2+graphviz+pango+rsvg+x11
imlib2 @1.9.0_0
intltool @0.51.0_6
ipython3_select @0.1_0
ipython_select @0.4_0
irssi @1.2.3_1+perl
isl @0.24_1
isl14 @0.14.1_0
isl18 @0.18_0
iso-codes @4.7.0_0
itstool @2.0.7_2+python39
iulib @0.4-20141216_2
jags @4.3.0_1+gcc7
jam @2.5_2
jansson @2.13.1_0
jasper @2.0.33_0
javacc @6.0_0
jbig2dec @0.19_0
jbigkit @2.1_0
jemalloc @5.3.0_0
json-c @0.15-20200726_0
json-glib @1.2.8_1
jsoncpp @1.9.5_0
junkbuster @2.0.2p1.1_1
keka @0.1.4.3_1
kerberos5 @1.19.3_0
lame @3.100_2
lapack @3.10.1_0+gfortran
latexmk @4.77_0
lcdf-typetools @2.108_1+texlive
lcms2 @2.13.1_0
ld64 @3_4+ld64_97
ld64-97 @97.17_9+llvm50
ld64-127 @127.2_14+llvm33
legacy-support @1.0.6_1
lerc @3.0_0
less @590_0+pcre
lha @1.14i-ac20081023_1
libaacs @0.11.1_0
libarchive @3.6.1_0
libaribb24 @1.0.3_0
libart_lgpl @2.3.21_2
libass @0.15.2_0
libassuan @2.5.5_0
libatomic_ops @7.6.12_0
libb2 @0.98.1_1
libb64 @1.1_0
libbdplus @0.1.2_2
libbluray @1.3.0_0
libbonobo @2.32.1_1
libbonoboui @2.24.5_11+x11
libcaca @0.99.beta20_1
libcanberra @0.30_7+x11
libcbor @0.8.0_0
libcddb @1.3.2_1
libcdio @2.1.0_0
libcdio-paranoia @2.0.1_0
libcerf @2.1_0
libcerror @20150407_0
libcomerr @1.45.6_0
libconfuse @3.3_0
libcroco @0.6.13_1
libcryptopp @8.6.0_0
libcstring @20150101_0
libcthreads @20150101_0
libcxx @5.0.1_4
libdaemon @0.14_1
libdc1394 @2.2.6_0
libdca @0.0.6_0
libde265 @1.0.8_0
libdmtx @0.7.5_0
libdv @1.0.0_1
libdvdcss @1.4.3_0
libdvdnav @6.1.1_0
libdvdread @6.1.2_0
libebml @1.4.2_0
libebur128 @1.2.4_0
libedit @20210910-3.1_1
libelf @0.8.13_2
libepoxy @1.5.10_0+python310
libevent @2.1.12_1
libexif @0.6.24_0
libfdk-aac @2.0.2_0
libfetch @9.0.0-RELEASE_3
libffi @3.4.2_2
libfido2 @1.9.0_1
libfilezilla @0.36.0_0
libfmt @8.1.1_1
libftdi1 @1.5_1
libgcc @5.0_0
libgcc6 @6.5.0_4
libgcc8 @8.5.0_1
libgcc9 @9.4.0_0
libgcc10 @10.3.0_2
libgcc11 @11.3.0_1
libgcrypt @1.10.1_0
libgda4 @4.2.13_9+db53+with_postgresql93
libgee @0.20.4_0
libgit2 @1.4.2_1+threadsafe
libgit2-glib @1.0.0.1_0+python38
libglade2 @2.6.4_8
libGLU @9.0.1_0
libgnome @2.32.1_0
libgnome-keyring @3.12.0_3
libgnomecanvas @2.30.3_6
libgnomeui @2.24.5_15+x11
libgpg-error @1.45_0
libgsf @1.14.48_0
libgsm @1.0.18_1
libgtkhtml3 @3.32.2_7
libgtkhtml4 @4.10.0_0
libharu @2.3.0_2
libheif @1.12.0_4
libhttpd @2.0_0
libiconv @1.17_0
libiconv-bootstrap @1.16_1
libid3tag @0.15.1c_2
libidl @0.8.14_2
libidn @1.38_0
libidn2 @2.3.2_1
libjpeg-turbo @2.1.3_0
libksba @1.6.0_0
libLASi @1.1.3_1
liblinear @2.30_0+python27
libmacho @949.0.1_0
libmacho-headers @949.0.1_0
libmad @0.15.1b_5
libmagic @5.41_0
libmatroska @1.6.3_0
libmicrohttpd @0.9.75_0
libmikmod @3.3.11.1_0
libmms @0.6.4_0
libmng @2.0.3_1
libmodplug @0.8.9.0_0
libmpc @1.2.1_0
libmpcdec @1.2.6_0
libmpdclient @2.20_0
libmpeg2 @0.5.1_3+sdl+x11
libmysofa @1.2_0
libnetpbm @10.98.02_0
libnice @0.1.17_1
libnotify @0.7.9_0
libofa @0.9.3_1
libogg @1.3.5_1
liboil @0.3.17_2
libopus @1.3.1_0
libotr @4.1.1_0
libpaper @1.1.28_0
libpcap @1.10.1_0
libpftp @0.7_2
libpixman @0.38.4_0
libpng @1.6.37_0
libpqxx @7.2.0_0+postgresql13
libproxy @0.4.17_0+python27
libpsl @0.21.1-20220513_0
libranlib @1.0_1
libraw @0.20.2_1
librsvg @2.40.20_4
librttopo @1.1.0_2
libsamplerate @0.1.9_2
libsdl @1.2.15-20200718_1+x11
libsdl2 @2.0.9_0+x11
libsdl_gfx @2.0.24_1
libsdl_image @1.2.12_6
libsecret @0.20.4_1
libshout2 @2.4.5_1
libsigcxx2 @2.10.3_0
libsignal-protocol-c @2.3.3_0
libsndfile @1.1.0_0
libsodium @1.0.18-20200728_0
libsoup @2.74.2_0+gnome
libsoup3 @3.0.6_0
libspiro @20200505_0
libssh2 @1.10.0_0
libstemmer @2.2.0_0
libtapi @1100.0.11_1
libtasn1 @4.18.0_0
libtextstyle @0.21_0
libtheora @1.1.1_3
libtommath @1.2.0_2
libtool @2.4.7_0
libtorrent @0.13.8_1
libtorrent-rasterbar @2.0.5_0+python39
libunique @1.1.6_10+x11
libunistring @1.0_0
libunrar @6.1.7_0
libunwind @5.0.1_0
libupnp @1.14.12_0
libusb @1.0.26_0
libusb-compat @0.1.7_0
libutf8proc @2.6.1_0
libuv @1.44.1_0
libvorbis @1.3.7_0
libvpx @1.11.0_1
libxc5 @5.2.3_0+fortran
libxkbcommon @1.4.1_0
libxkbcommon-x11 @1.4.1_0
libxml2 @2.9.14_0
libxslt @1.1.34_6
libyaml @0.2.5_0
libzzip @0.13.72_0
lighttpd @1.4.64_1+ssl
links @2.26_0
listres @1.0.4_0
live555 @2022.02.07_0
llvm-3.3 @3.3_13
llvm-3.4 @3.4.2_16
llvm-3.6 @3.6.2_5
llvm-3.7 @3.7.1_7
llvm-3.9 @3.9.1_6
llvm-5.0 @5.0.2_3+polly
llvm-6.0 @6.0.1_3+polly
llvm-7.0 @7.1.0_2+emulated_tls+polly
llvm_select @2_0
lmdb @0.9.29_0
log4shib @2.0.1_0
logrotate @3.19.0_0
lua @5.3.5_0
lua52 @5.2.4_2
luajit @2.1.0-beta3_5
luit @2.0.20220111_0
lz4 @1.9.3_1
lzip @1.23_0
lzma @4.65_1
lzo2 @2.10_0
m4 @1.4.19_1
makeicns @1.4.10a_2
mandoc @1.14.6_0
masscan @1.3.2_0
mc @4.8.28_0+slang2
mcpp @2.7.2_6
mdk @1.3.0_0
mercurial @6.1.1_1
mesa @17.1.6_2+osmesa+python27
meson @0.62.1_0
metis @5.1.0_3
mhash @0.9.9.9_1
miniupnpc @2.2.3_1
minizip @1.2.12_0
mkfontscale @1.2.2_0
mm-common @1.0.1_1
MoarVM @2022.04_0
mpc @0.34_0
mpfr @4.1.0_0
mpg123 @1.29.3_0
mpi-doc @4.0.2_0
mpi_select @0.0_3
mpich-gcc10 @4.0.2_0+fortran
mpich-gcc11 @4.0.2_0+fortran
MPlayer @1.3.0_8+mencoder_extras+x11
mpstats @0.2.0_0
mpv @0.34.1_2+audiocd+bluray+dvd+libarchive+network+opengl+osd+python310+uchardet+x11
(active)
mypy_select @0.1_0
mysql_select @0.1.2_4
n2n @3.0_0
nasm @2.15.05_0
ncurses @6.3_0
ncurses-bootstrap @6.3_0
neofetch @7.1.0_0
neon @0.32.2_0
net6 @1.3.14_3
netcdf @4.8.1_1+dap+netcdf4
netcdf-cxx @4.2_17
netcdf-cxx4 @4.3.1_0
netcdf-fortran @4.5.4_0+gcc11
netpbm @10.98.02_0+x11
nettle @3.7.3_0
nghttp2 @1.47.0_0
ninja @1.11.0_0
nmap @7.92_3+pcre+ssl
nosetests_select @0.1_0
npth @1.6_0
nqp @2022.04_0
nspr @4.33_1
nss @3.78_0
ntl @11.5.1_0
nvm @0.39.1_0
obby @0.4.8_1
obc @3.3.0_0
ocaml @4.14.0_1
ocaml-camlp4 @4.14-1_0
ocaml-csexp @1.5.1_1
ocaml-dune @3.2.0_0
ocaml-findlib @1.9.3_0
ocaml-ocamlbuild @0.14.1_0
oclock @1.0.4_0
onedpl @2021.6.1_0
onetbb @2021.5.0_1
oniguruma6 @6.9.8_0
onioncat @0.3.8_0
OpenBLAS @0.3.20_0+gcc6+lapack+native
opendetex @2.8.9_0
openexr @2.3.0_2
openfpc @0.1a_3
openjade @1.3.2_11
openjdk7-bootstrap @1.7.0_2_0
openjpeg @2.5.0_0
openjpeg15 @1.5.2_0
openldap @2.6.1_0
openmotif @2.3.8_2
openmpi-gcc10 @4.1.3_0+fortran
openmpi-gcc11 @4.1.3_0+fortran
opensp @1.5.2_2
openssh @9.0p1_4+kerberos5+xauth
openssl @3_4
openssl3 @3.0.3_0+legacy
openssl10 @1.0.2u_4
openssl11 @1.1.1n_0
openvpn2 @2.5.5_0
orbit2 @2.14.19_3
orc @0.4.32_0
osinfo-db @20190304_0
osinfo-db-tools @1.4.0_0
ossp-uuid @1.6.2_12+perl5_28
p5.28-algorithm-diff @1.201.0_0
p5.28-authen-sasl @2.160.0_0
p5.28-b-cow @0.4.0_0
p5.28-canary-stability @2013_0
p5.28-capture-tiny @0.480.0_0
p5.28-cgi @4.540.0_0
p5.28-clone @0.450.0_0
p5.28-common-sense @3.750.0_0
p5.28-cpan-meta @2.150.10_0
p5.28-cpan-meta-requirements @2.140.0_0
p5.28-cpan-meta-yaml @0.18.0_0
p5.28-data-dump @1.250.0_0
p5.28-data-dumper @2.183.0_0
p5.28-date-manip @6.860.0_0
p5.28-devel-checkbin @0.40.0_0
p5.28-devel-hide @0.1.500_0
p5.28-devel-symdump @2.180.0_0
p5.28-digest-hmac @1.40.0_0
p5.28-digest-sha1 @2.130.0_4
p5.28-encode @3.170.0_0
p5.28-encode-locale @1.50.0_0
p5.28-error @0.170.290_0
p5.28-extutils-config @0.8.0_0
p5.28-extutils-helpers @0.26.0_0
p5.28-extutils-install @2.200.0_0
p5.28-extutils-installpaths @0.12.0_0
p5.28-extutils-makemaker @7.640.0_1
p5.28-extutils-manifest @1.730.0_0
p5.28-file-find-rule @0.340.0_0
p5.28-file-listing @6.150.0_0
p5.28-file-path @2.180.0_0
p5.28-getopt-long @2.520.0_0
p5.28-gssapi @0.280.0_3
p5.28-html-form @6.70.0_0
p5.28-html-parser @3.780.0_0
p5.28-html-tagset @3.200.0_4
p5.28-http-cookiejar @0.12.0_0
p5.28-http-cookies @6.100.0_0
p5.28-http-daemon @6.140.0_0
p5.28-http-date @6.50.0_0
p5.28-http-message @6.360.0_0
p5.28-http-negotiate @6.10.0_1
p5.28-http-tiny @0.80.0_0
p5.28-importer @0.26.0_0
p5.28-inc-latest @0.500.0_0
p5.28-io @1.500.0_0
p5.28-io-html @1.4.0_0
p5.28-io-socket-inet6 @2.730.0_0
p5.28-io-socket-ip @0.410.0_0
p5.28-io-socket-ssl @2.74.0_0
p5.28-json @4.60.0_0
p5.28-json-xs @4.30.0_0
p5.28-libwww-perl @6.660.0_0
p5.28-locale-maketext-simple @0.210.0_3
p5.28-lwp-mediatypes @6.40.0_0
p5.28-lwp-protocol-https @6.100.0_0
p5.28-lwp-useragent-cached @0.80.0_0
p5.28-mime-base64 @3.160.0_0
p5.28-module-build @0.423.100_0
p5.28-module-build-tiny @0.39.0_1
p5.28-module-load @0.360.0_0
p5.28-module-load-conditional @0.740.0_0
p5.28-module-metadata @1.0.37_0
p5.28-module-pluggable @5.200.0_0
p5.28-module-runtime @0.16.0_0
p5.28-mozilla-ca @20211001_0
p5.28-net-http @6.220.0_1
p5.28-net-libidn @0.120.0_5
p5.28-net-smtp-ssl @1.40.0_0
p5.28-net-ssleay @1.920.0_0
p5.28-number-compare @0.30.0_2
p5.28-params-check @0.380.0_1
p5.28-pathtools @3.750.0_0
p5.28-perl-ostype @1.10.0_0
p5.28-pod-coverage @0.230.0_1
p5.28-pod-escapes @1.70.0_0
p5.28-pod-simple @3.430.0_0
p5.28-podlators @4.140.0_0
p5.28-scalar-list-utils @1.620.0_0
p5.28-scope-guard @0.210.0_0
p5.28-socket @2.33.0_0
p5.28-socket6 @0.290.0_0
p5.28-spiffy @0.460.0_0
p5.28-sub-info @0.2.0_0
p5.28-sub-name @0.260.0_0
p5.28-sub-uplevel @0.280.0_0
p5.28-term-ansicolor @5.10.0_0
p5.28-term-readkey @2.380.0_0
p5.28-term-readline @1.140.0_0
p5.28-term-readline-gnu @1.420.0_0
p5.28-term-size-any @0.2.0_0
p5.28-term-size-perl @0.31.0_0
p5.28-term-table @0.16.0_0
p5.28-test-base @0.890.0_0
p5.28-test-deep @1.130.0_0
p5.28-test-exception @0.430.0_0
p5.28-test-fatal @0.16.0_0
p5.28-test-harness @3.440.0_0
p5.28-test-inter @1.90.0_0
p5.28-test-leaktrace @0.170.0_0
p5.28-test-needs @0.2.9_0
p5.28-test-nowarnings @1.60.0_0
p5.28-test-pod @1.520.0_0
p5.28-test-pod-coverage @1.100.0_1
p5.28-test-requires @0.110.0_0
p5.28-test-requiresinternet @0.50.0_0
p5.28-test-simple @1.302.190_0
p5.28-test-warn @0.360.0_0
p5.28-test-yaml @1.70.0_0
p5.28-test2-suite @0.0.145_0
p5.28-text-diff @1.450.0_0
p5.28-text-glob @0.110.0_0
p5.28-text-parsewords @3.310.0_0
p5.28-text-tabsxwrap @2021.81.400_0
p5.28-time-hires @1.976.400_0
p5.28-time-local @1.300.0_0
p5.28-timedate @2.330.0_0
p5.28-try-tiny @0.310.0_0
p5.28-types-serialiser @1.10.0_0
p5.28-uri @5.100.0_0
p5.28-version @0.992.900_0
p5.28-www-robotrules @6.20.0_1
p5.28-xml-parser @2.460.0_0
p5.28-yaml @1.300.0_0
p5.30-algorithm-diff @1.201.0_0
p5.30-b-cow @0.4.0_0
p5.30-canary-stability @2013_0
p5.30-capture-tiny @0.480.0_0
p5.30-class-accessor @0.510.0_0
p5.30-class-data-inheritable @0.90.0_0
p5.30-class-method-modifiers @2.130.0_0
p5.30-class-xsaccessor @1.190.0_0
p5.30-clone @0.450.0_0
p5.30-common-sense @3.750.0_0
p5.30-config-autoconf @0.320.0_0
p5.30-cpan-meta @2.150.10_0
p5.30-cpan-meta-check @0.14.0_0
p5.30-cpan-meta-requirements @2.140.0_0
p5.30-cpan-meta-yaml @0.18.0_0
p5.30-cpanel-json-xs @4.280.0_0
p5.30-data-dump @1.250.0_0
p5.30-data-dumper @2.183.0_0
p5.30-data-optlist @0.112.0_0
p5.30-devel-caller @2.60.0_0
p5.30-devel-checkbin @0.40.0_0
p5.30-devel-globaldestruction @0.140.0_0
p5.30-devel-hide @0.1.500_0
p5.30-devel-lexalias @0.50.0_0
p5.30-devel-stacktrace @2.40.0_0
p5.30-encode @3.170.0_0
p5.30-encode-eucjpascii @0.30.0_1
p5.30-encode-hanextra @0.230.0_6
p5.30-encode-iso2022 @0.40.0_0
p5.30-encode-jisx0213 @0.40.0_0
p5.30-encode-locale @1.50.0_0
p5.30-eval-closure @0.140.0_0
p5.30-exception-class @1.450.0_0
p5.30-extutils-cbuilder @0.280.236_0
p5.30-extutils-config @0.8.0_0
p5.30-extutils-helpers @0.26.0_0
p5.30-extutils-install @2.200.0_0
p5.30-extutils-installpaths @0.12.0_0
p5.30-extutils-makemaker @7.640.0_1
p5.30-extutils-manifest @1.730.0_0
p5.30-file-listing @6.150.0_0
p5.30-file-path @2.180.0_0
p5.30-file-slurper @0.13.0_0
p5.30-file-temp @0.231.100_0
p5.30-getopt-long @2.520.0_0
p5.30-html-form @6.70.0_0
p5.30-html-parser @3.780.0_0
p5.30-html-tagset @3.200.0_4
p5.30-http-cookiejar @0.12.0_0
p5.30-http-cookies @6.100.0_0
p5.30-http-daemon @6.140.0_0
p5.30-http-date @6.50.0_0
p5.30-http-message @6.360.0_0
p5.30-http-negotiate @6.10.0_1
p5.30-http-tiny @0.80.0_0
p5.30-importer @0.26.0_0
p5.30-inc-latest @0.500.0_0
p5.30-io @1.500.0_0
p5.30-io-html @1.4.0_0
p5.30-io-socket-inet6 @2.730.0_0
p5.30-io-socket-ip @0.410.0_0
p5.30-io-socket-ssl @2.74.0_0
p5.30-ipc-cmd @1.40.0_0
p5.30-ipc-run3 @0.48.0_0
p5.30-json @4.60.0_0
p5.30-json-maybexs @1.4.3_0
p5.30-json-xs @4.30.0_0
p5.30-libwww-perl @6.660.0_0
p5.30-locale-gettext @1.70.0_1
p5.30-locale-maketext-simple @0.210.0_3
p5.30-lwp-mediatypes @6.40.0_0
p5.30-math-complex @1.590.0_0
p5.30-mime-charset @1.012.2_0
p5.30-module-build @0.423.100_0
p5.30-module-build-tiny @0.39.0_1
p5.30-module-load @0.360.0_0
p5.30-module-load-conditional @0.740.0_0
p5.30-module-metadata @1.0.37_0
p5.30-module-pluggable @5.200.0_0
p5.30-module-runtime @0.16.0_0
p5.30-mozilla-ca @20211001_0
p5.30-mro-compat @0.150.0_0
p5.30-net-http @6.220.0_1
p5.30-net-libidn @0.120.0_5
p5.30-net-ssleay @1.920.0_0
p5.30-padwalker @2.500.0_0
p5.30-params-check @0.380.0_1
p5.30-params-util @1.102.0_0
p5.30-params-validationcompiler @0.300.0_0
p5.30-parent @0.238.0_0
p5.30-path-tiny @0.122.0_0
p5.30-pathtools @3.750.0_0
p5.30-perl-ostype @1.10.0_0
p5.30-pod-escapes @1.70.0_0
p5.30-pod-simple @3.430.0_0
p5.30-pod2-base @0.43.0_0
p5.30-podlators @4.140.0_0
p5.30-readonly @2.50.0_0
p5.30-ref-util @0.204.0_0
p5.30-ref-util-xs @0.117.0_0
p5.30-role-tiny @2.2.4_0
p5.30-scalar-list-utils @1.620.0_0
p5.30-scope-guard @0.210.0_0
p5.30-sgml-parser-opensp @0.994.0_4
p5.30-sgmlspm @1.100.0_1
p5.30-socket @2.33.0_0
p5.30-socket6 @0.290.0_0
p5.30-specio @0.470.0_0
p5.30-spiffy @0.460.0_0
p5.30-sub-exporter @0.988.0_0
p5.30-sub-exporter-progressive @0.1.13_0
p5.30-sub-info @0.2.0_0
p5.30-sub-install @0.928.0_1
p5.30-sub-name @0.260.0_0
p5.30-sub-quote @2.6.6_0
p5.30-sub-uplevel @0.280.0_0
p5.30-term-readkey @2.380.0_0
p5.30-term-size-any @0.2.0_0
p5.30-term-size-perl @0.31.0_0
p5.30-term-table @0.16.0_0
p5.30-test-base @0.890.0_0
p5.30-test-deep @1.130.0_0
p5.30-test-exception @0.430.0_0
p5.30-test-failwarnings @0.8.0_0
p5.30-test-fatal @0.16.0_0
p5.30-test-harness @3.440.0_0
p5.30-test-leaktrace @0.170.0_0
p5.30-test-mockrandom @1.10.0_0
p5.30-test-needs @0.2.9_0
p5.30-test-nowarnings @1.60.0_0
p5.30-test-output @1.33.0_0
p5.30-test-requires @0.110.0_0
p5.30-test-requiresinternet @0.50.0_0
p5.30-test-simple @1.302.190_0
p5.30-test-warn @0.360.0_0
p5.30-test-warnings @0.31.0_0
p5.30-test-without-module @0.200.0_0
p5.30-test-yaml @1.70.0_0
p5.30-test2-plugin-nowarnings @0.90.0_0
p5.30-test2-suite @0.0.145_0
p5.30-text-diff @1.450.0_0
p5.30-text-parsewords @3.310.0_0
p5.30-text-wrapi18n @0.60.0_1
p5.30-time-hires @1.976.400_0
p5.30-time-local @1.300.0_0
p5.30-time-piece @1.340.100_0
p5.30-timedate @2.330.0_0
p5.30-try-tiny @0.310.0_0
p5.30-types-serialiser @1.10.0_0
p5.30-unicode-linebreak @2019.1.0_0
p5.30-unicode-utf8 @0.620.0_1
p5.30-uri @5.100.0_0
p5.30-variable-magic @0.620.0_0
p5.30-version @0.992.900_0
p5.30-www-robotrules @6.20.0_1
p5.30-xml-parser @2.460.0_0
p5.30-xsloader @0.240.0_0
p5.30-xstring @0.5.0_0
p5.30-yaml @1.300.0_0
p5.30-yaml-tiny @1.730.0_0
p5.32-math-longdouble @0.230.0_0
p5.34-algorithm-diff @1.201.0_0
p5.34-alien-build @2.480.0_0
p5.34-alien-libxml2 @0.170.0_0
p5.34-b-cow @0.4.0_0
p5.34-berkeleydb @0.650.0_0+db62
p5.34-capture-tiny @0.480.0_0
p5.34-cgi-simple @1.280.0_0
p5.34-class-data-inheritable @0.90.0_0
p5.34-class-generate @1.180.0_0
p5.34-class-method-modifiers @2.130.0_0
p5.34-class-xsaccessor @1.190.0_0
p5.34-clone @0.450.0_0
p5.34-config-autoconf @0.320.0_0
p5.34-cpan-meta @2.150.10_0
p5.34-cpan-meta-check @0.14.0_0
p5.34-cpan-meta-requirements @2.140.0_0
p5.34-cpan-meta-yaml @0.18.0_0
p5.34-data-dump @1.250.0_0
p5.34-data-dumper @2.183.0_0
p5.34-data-optlist @0.112.0_0
p5.34-date-manip @6.860.0_0
p5.34-devel-caller @2.60.0_0
p5.34-devel-checkbin @0.40.0_0
p5.34-devel-hide @0.1.500_0
p5.34-devel-lexalias @0.50.0_0
p5.34-devel-stacktrace @2.40.0_0
p5.34-devel-symdump @2.180.0_0
p5.34-encode @3.170.0_0
p5.34-encode-locale @1.50.0_0
p5.34-eval @2.2.8_3
p5.34-eval-closure @0.140.0_0
p5.34-exception-class @1.450.0_0
p5.34-extutils-cbuilder @0.280.236_0
p5.34-extutils-config @0.8.0_0
p5.34-extutils-helpers @0.26.0_0
p5.34-extutils-install @2.200.0_0
p5.34-extutils-installpaths @0.12.0_0
p5.34-extutils-makemaker @7.640.0_1
p5.34-extutils-manifest @1.730.0_0
p5.34-ffi-checklib @0.280.0_0
p5.34-file-chdir @0.101.0_0
p5.34-file-find-rule @0.340.0_0
p5.34-file-listing @6.150.0_0
p5.34-file-slurper @0.13.0_0
p5.34-file-which @1.270.0_0
p5.34-getopt-long @2.520.0_0
p5.34-html-form @6.70.0_0
p5.34-html-parser @3.780.0_0
p5.34-html-tagset @3.200.0_4
p5.34-http-cookiejar @0.12.0_0
p5.34-http-cookies @6.100.0_0
p5.34-http-daemon @6.140.0_0
p5.34-http-date @6.50.0_0
p5.34-http-message @6.360.0_0
p5.34-http-negotiate @6.10.0_1
p5.34-http-tiny @0.80.0_0
p5.34-importer @0.26.0_0
p5.34-inc-latest @0.500.0_0
p5.34-io @1.500.0_0
p5.34-io-html @1.4.0_0
p5.34-io-socket-inet6 @2.730.0_0
p5.34-io-socket-ip @0.410.0_0
p5.34-io-socket-ssl @2.74.0_0
p5.34-ipc-cmd @1.40.0_0
p5.34-ipc-run3 @0.48.0_0
p5.34-ipe @0.3.1_0
p5.34-libwww-perl @6.660.0_0
p5.34-libxml-enno @1.20.0_4
p5.34-libxml-perl @0.80.0_4
p5.34-locale-gettext @1.70.0_1
p5.34-locale-maketext-simple @0.210.0_3
p5.34-lwp-mediatypes @6.40.0_0
p5.34-math-longdouble @0.230.0_0
p5.34-math-mpfr @4.230.0_0
p5.34-module-build @0.423.100_0
p5.34-module-build-tiny @0.39.0_1
p5.34-module-load @0.360.0_0
p5.34-module-load-conditional @0.740.0_0
p5.34-module-metadata @1.0.37_0
p5.34-module-pluggable @5.200.0_0
p5.34-module-runtime @0.16.0_0
p5.34-mozilla-ca @20211001_0
p5.34-mro-compat @0.150.0_0
p5.34-net-http @6.220.0_1
p5.34-net-libidn @0.120.0_5
p5.34-net-ssleay @1.920.0_0
p5.34-nmap-scanner @1.0.0_5
p5.34-number-compare @0.30.0_2
p5.34-padwalker @2.500.0_0
p5.34-params-check @0.380.0_1
p5.34-params-util @1.102.0_0
p5.34-params-validationcompiler @0.300.0_0
p5.34-parse-yapp @1.210.0_0
p5.34-path-tiny @0.122.0_0
p5.34-pathtools @3.750.0_0
p5.34-perl-ostype @1.10.0_0
p5.34-pod-coverage @0.230.0_1
p5.34-pod-escapes @1.70.0_0
p5.34-pod-simple @3.430.0_0
p5.34-podlators @4.140.0_0
p5.34-readonly @2.50.0_0
p5.34-ref-util @0.204.0_0
p5.34-ref-util-xs @0.117.0_0
p5.34-role-tiny @2.2.4_0
p5.34-scalar-list-utils @1.620.0_0
p5.34-scope-guard @0.210.0_0
p5.34-socket @2.33.0_0
p5.34-socket6 @0.290.0_0
p5.34-specio @0.470.0_0
p5.34-spiffy @0.460.0_0
p5.34-sub-exporter @0.988.0_0
p5.34-sub-info @0.2.0_0
p5.34-sub-install @0.928.0_1
p5.34-sub-name @0.260.0_0
p5.34-sub-quote @2.6.6_0
p5.34-sub-uplevel @0.280.0_0
p5.34-term-size-any @0.2.0_0
p5.34-term-size-perl @0.31.0_0
p5.34-term-table @0.16.0_0
p5.34-test-base @0.890.0_0
p5.34-test-deep @1.130.0_0
p5.34-test-exception @0.430.0_0
p5.34-test-failwarnings @0.8.0_0
p5.34-test-fatal @0.16.0_0
p5.34-test-harness @3.440.0_0
p5.34-test-inter @1.90.0_0
p5.34-test-leaktrace @0.170.0_0
p5.34-test-mockrandom @1.10.0_0
p5.34-test-needs @0.2.9_0
p5.34-test-nowarnings @1.60.0_0
p5.34-test-output @1.33.0_0
p5.34-test-pod @1.520.0_0
p5.34-test-pod-coverage @1.100.0_1
p5.34-test-requires @0.110.0_0
p5.34-test-requiresinternet @0.50.0_0
p5.34-test-simple @1.302.190_0
p5.34-test-warn @0.360.0_0
p5.34-test-warnings @0.31.0_0
p5.34-test-without-module @0.200.0_0
p5.34-test-yaml @1.70.0_0
p5.34-test2-plugin-nowarnings @0.90.0_0
p5.34-test2-suite @0.0.145_0
p5.34-text-diff @1.450.0_0
p5.34-text-glob @0.110.0_0
p5.34-text-parsewords @3.310.0_0
p5.34-text-soundex @3.50.0_0
p5.34-text-tabsxwrap @2021.81.400_0
p5.34-time-hires @1.976.400_0
p5.34-time-local @1.300.0_0
p5.34-timedate @2.330.0_0
p5.34-tree-simple @1.340.0_0
p5.34-tree-simple-visitorfactory @0.160.0_0
p5.34-try-tiny @0.310.0_0
p5.34-unicode-utf8 @0.620.0_1
p5.34-uri @5.100.0_0
p5.34-version @0.992.900_0
p5.34-www-robotrules @6.20.0_1
p5.34-xml-libxml @2.20.700_0
p5.34-xml-namespacesupport @1.120.0_0
p5.34-xml-parser @2.460.0_0
p5.34-xml-sax @1.20.0_0
p5.34-xml-sax-base @1.90.0_0
p5.34-xml-sax-expat @0.510.0_1
p5.34-xsloader @0.240.0_0
p5.34-xstring @0.5.0_0
p5.34-yaml @1.300.0_0
p7zip @16.02_5
p8-platform @2.1.0.1_0
p11-kit @0.24.1_0
pam-u2f @1.2.0_0
pango @1.50.7_0+quartz+x11
pangomm @2.42.1_1+quartz+x11
pcre @8.45_0
pcre2 @10.40_0
pdfjam @2.08_0
perl5 @5.28.3_0+perl5_28
perl5.8 @5.8.9_9
perl5.28 @5.28.3_4
perl5.30 @5.30.3_3
perl5.32 @5.32.1_2
perl5.34 @5.34.0_2
phonon @4.10.3_0+compversion440
picosat @965_0
pidof @0.1.4_0
pinentry @1.1.0_1
pip_select @0.1_2
pkgconfig @0.29.2_0
pkgconfig-bootstrap @0.29.2_0
plotutils @2.6_5
po4a @0.66_0+perl5_30
policykit @0.120-2022-01-25_0
polkit-qt @0.112.0_1
poly2tri-c @0.1.0_0
poppler @22.04.0_0+boost
poppler-data @0.4.11_0
poppler-qt4-mac @0.61.1_2
popt @1.18_1
portaudio @20210401-147dd722_0
postgresql13 @13.5_0
postgresql14 @14.1_0
postgresql84 @8.4.22_6
postgresql93 @9.3.25_4
postgresql_select @0.5_0
potrace @1.16_0
ppl @1.2_0
proj8 @8.2.1_0+tiff
ps2eps @1.70_0
psutils @p17_1
pth @2.0.7_1
pugixml @1.12.1_0
pulseaudio @14.2_1+x11
py-bootstrap-modules @2021-11-21_1
py-gobject3 @3.42.0_0
py27-alabaster @0.7.12_0
py27-argh @0.26.2_0
py27-asn1 @0.4.8_0
py27-babel @2.9.1_0
py27-backports @1.0_0
py27-backports_abc @0.5_0
py27-cairo @1.18.2_0
py27-certifi @2021.10.8_0
py27-cffi @1.15.0_0
py27-chardet @4.0.0_0
py27-configparser @4.0.2_0
py27-contextlib2 @0.6.0.post1_0
py27-cryptography @2.9.2_2
py27-curl @7.43.0.3_2
py27-cython @0.29.13_0
py27-docutils @0.18.1_0
py27-enum34 @1.1.10_0
py27-futures @3.3.0_0
py27-gobject @2.28.7_2+x11
py27-gobject3 @3.36.1_3
py27-idna @2.10_0
py27-imagesize @1.3.0_0
py27-importlib-metadata @2.1.0_0
py27-ipaddress @1.0.23_0
py27-jinja2 @2.11.3_0
py27-libxml2 @2.9.14_0
py27-markupsafe @1.1.1_0
py27-monotonic @1.6_0
py27-nbxmpp @2.0.6_0
py27-numpy @1.16.6_3+gfortran+openblas
py27-openssl @21.0.0_0
py27-packaging @20.4_0
py27-parsing @2.4.7_0
py27-pathlib2 @2.3.7.post1_0
py27-pathtools @0.1.2_0
py27-pkginfo @1.8.2_0
py27-ptyprocess @0.7.0_0
py27-pybonjour @1.1.3_0
py27-pycparser @2.21_0
py27-pygments @2.5.2_0
py27-pygtk @2.24.0_6+x11
py27-requests @2.27.1_0
py27-roman @3.3_0
py27-scandir @1.10.0_0
py27-setuptools @44.1.1_0
py27-setuptools_scm @5.0.2_0
py27-simplejson @3.17.6_0
py27-singledispatch @3.7.0_0
py27-six @1.16.0_0
py27-snowballstemmer @2.2.0_0
py27-sphinx @1.8.5_0
py27-sphinxcontrib-websupport @1.1.2_0
py27-terminado @0.8.3_0
py27-toml @0.10.2_0
py27-tornado @5.1.1_0
py27-typing @3.10.0.0_0
py27-tz @2022.1_0
py27-urlgrabber @4.0.0_0
py27-urllib3 @1.26.9_0
py27-yaml @5.4.1_0
py27-zipp @1.2.0_0
py38-argh @0.26.2_0
py38-asn1 @0.4.8_0
py38-asn1-modules @0.2.8_0
py38-attrs @21.4.0_0
py38-automat @20.2.0_0
py38-awscli @1.24.5_0
py38-beaker @1.11.0_0
py38-botocore @1.26.5_0
py38-build @0.7.0_0
py38-cached-property @1.5.2_0
py38-cairo @1.21.0_0
py38-certifi @2022.5.18.1_0
py38-cffi @1.15.0_0
py38-chardet @4.0.0_0
py38-charset-normalizer @2.0.12_0
py38-click @8.0.4_0
py38-colorama @0.4.4_0
py38-cryptography @2.9.2_2
py38-cython @0.29.30_0
py38-dateutil @2.8.2_0
py38-docutils @0.18.1_0
py38-gobject3 @3.42.0_0
py38-gst-python @1.20.2_0
py38-idna @3.3_0
py38-importlib-metadata @4.11.3_0
py38-incremental @21.3.0_0
py38-jmespath @1.0.0_0
py38-keep @2.10.1_0
py38-keyring @23.5.0_0
py38-libnacl @1.7.1_0
py38-libxml2 @2.9.14_0
py38-m2r @0.2.1_0
py38-mako @1.2.0_0
py38-markupsafe @2.1.1_0
py38-mistune @0.8.4_0
py38-nbxmpp @2.0.6_0
py38-nose @1.3.7_3
py38-olefile @0.46_0
py38-openssl @21.0.0_0
py38-packaging @21.3_0
py38-parsing @3.0.9_0
py38-pep517 @0.12.0_0
py38-Pillow @9.1.1_0
py38-pybonjour @1.1.3_0
py38-pycparser @2.21_0
py38-pycryptodome @3.14.1_0
py38-pygit2 @1.9.1_0
py38-pyhamcrest @2.0.2_0
py38-pytest-runner @5.3.1_0
py38-python-install @0.0.3_5
py38-rencode @1.0.6_0
py38-requests @2.27.1_0
py38-roman @3.3_0
py38-rsa @4.8_0
py38-s3transfer @0.5.2_0
py38-service_identity @21.1.0_0
py38-setproctitle @1.2.2_0
py38-setuptools @62.3.2_0
py38-setuptools_scm @6.4.2_0
py38-simplejson @3.17.6_0
py38-six @1.16.0_0
py38-terminaltables @3.1.10_0
py38-tinycss @0.4_0
py38-tkinter @3.8.13_0
py38-tomli @2.0.1_0
py38-tz @2022.1_0
py38-urllib3 @1.26.9_0
py38-wheel @0.37.1_0
py38-xdg @0.27_0
py38-yaml @6.0_0
py38-zipp @3.8.0_0
py39-alabaster @0.7.12_0
py39-anytree @2.8.0_1
py39-appdirs @1.4.4_0
py39-appnope @0.1.3_0
py39-argh @0.26.2_0
py39-asn1 @0.4.8_0
py39-asttokens @2.0.5_0
py39-attrs @21.4.0_0
py39-automat @20.2.0_0
py39-awscli @1.24.5_0
py39-babel @2.9.1_0
py39-backcall @0.2.0_0
py39-beaker @1.11.0_0
py39-beniget @0.4.1_0
py39-black @22.3.0_1
py39-botocore @1.26.5_0
py39-build @0.7.0_0
py39-cached-property @1.5.2_0
py39-cairo @1.21.0_0
py39-cattrs @1.8.0_0
py39-certifi @2022.5.18.1_0
py39-cffi @1.15.0_0
py39-charset-normalizer @2.0.12_0
py39-click @8.0.4_0
py39-colorama @0.4.4_0
py39-cryptography @2.9.2_2
py39-cssselect @1.1.0_0
py39-curl @7.44.1_1
py39-cython @0.29.30_0
py39-dateutil @2.8.2_0
py39-decorator @5.1.1_0
py39-docutils @0.18.1_0
py39-editables @0.3_0
py39-executing @0.8.3_0
py39-fido2 @0.9.3_0
py39-flit_core @3.7.1_0
py39-gast @0.5.2_0
py39-gdbm @3.9.13_0
py39-gnureadline @8.0.0_0
py39-gobject3 @3.42.0_0
py39-gst-python @1.20.2_0
py39-hatch-vcs @0.2.0_1
py39-hatchling @1.3.0_0
py39-idna @3.3_0
py39-imagesize @1.3.0_0
py39-importlib-metadata @4.11.3_0
py39-ipython @8.2.0_1
py39-jedi @0.18.1_0
py39-jinja2 @3.1.2_0
py39-jmespath @1.0.0_0
py39-keep @2.10.1_0
py39-keyring @23.5.0_0
py39-libxml2 @2.9.14_0
py39-lxml @4.8.0_0
py39-m2r @0.2.1_0
py39-mako @1.2.0_0
py39-markdown @3.3.7_0
py39-markupsafe @2.1.1_0
py39-matplotlib-inline @0.1.3_0
py39-mistune @0.8.4_0
py39-mutagen @1.45.1_0
py39-mypy_extensions @0.4.3_0
py39-nbxmpp @3.0.1_0
py39-nose @1.3.7_3
py39-numpy @1.22.3_0+gfortran+openblas
py39-olefile @0.46_0
py39-openssl @21.0.0_0
py39-packaging @21.3_0
py39-parsing @3.0.9_0
py39-parso @0.8.3_0
py39-pathspec @0.9.0_0
py39-pep517 @0.12.0_0
py39-pexpect @4.8.0_0
py39-pickleshare @0.7.5_0
py39-Pillow @9.1.1_0
py39-pkginfo @1.8.2_0
py39-platformdirs @2.5.2_0
py39-pluggy @1.0.0_0
py39-precis-i18n @1.0.4_0
py39-prompt_toolkit @3.0.29_0
py39-ptyprocess @0.7.0_0
py39-pure_eval @0.2.2_0
py39-py @1.11.0_0
py39-pybind11 @2.9.2_0
py39-pybonjour @1.1.3_0
py39-pycparser @2.21_0
py39-pycryptodome @3.14.1_0
py39-pygit2 @1.9.1_0
py39-pygments @2.12.0_0
py39-pyquery @1.4.3_0
py39-pytest-runner @5.3.1_0
py39-python-install @0.0.3_5
py39-requests @2.27.1_0
py39-requests-cache @0.9.3_0
py39-roman @3.3_0
py39-rsa @4.8_0
py39-s3transfer @0.5.2_0
py39-setuptools @62.3.2_0
py39-setuptools_scm @6.4.2_0
py39-simplejson @3.17.6_0
py39-six @1.16.0_0
py39-snowballstemmer @2.2.0_0
py39-sphinx @4.5.0_0
py39-sphinxcontrib-applehelp @1.0.2_0
py39-sphinxcontrib-devhelp @1.0.2_0
py39-sphinxcontrib-htmlhelp @2.0.0_0
py39-sphinxcontrib-jsmath @1.0.1_1
py39-sphinxcontrib-qthelp @1.0.3_0
py39-sphinxcontrib-serializinghtml @1.1.5_0
py39-stack_data @0.2.0_0
py39-terminado @0.13.3_0
py39-terminaltables @3.1.10_0
py39-tinycss @0.4_0
py39-tkinter @3.9.13_0
py39-toml @0.10.2_0
py39-tomli @2.0.1_0
py39-tornado @6.1_0
py39-traitlets @5.2.0_0
py39-typing_extensions @4.2.0_0
py39-tz @2022.1_0
py39-url-normalize @1.4.3_0
py39-urllib3 @1.26.9_0
py39-wcwidth @0.2.5_0
py39-wheel @0.37.1_0
py39-yaml @6.0_0
py39-zipp @3.8.0_0
py310-alabaster @0.7.12_0
py310-anytree @2.8.0_1
py310-appnope @0.1.3_0
py310-argh @0.26.2_0
py310-asn1 @0.4.8_0
py310-asn1-modules @0.2.8_0
py310-astor @0.8.1_0
py310-asttokens @2.0.5_0
py310-attrs @21.4.0_0
py310-automat @20.2.0_0
py310-awscli @1.24.5_0
py310-babel @2.9.1_0
py310-backcall @0.2.0_0
py310-beaker @1.11.0_0
py310-black @22.3.0_1
py310-botocore @1.26.5_0
py310-brotli @1.0.9_1
py310-brotlipy @0.7.0_1
py310-build @0.7.0_0
py310-cachetools @5.1.0_0
py310-cairo @1.21.0_0
py310-certifi @2022.5.18.1_0
py310-cffi @1.15.0_0
py310-charset-normalizer @2.0.12_0
py310-click @8.0.4_0
py310-colorama @0.4.4_0
py310-cryptography @2.9.2_2
py310-curl @7.44.1_1
py310-cython @0.29.30_0
py310-dateutil @2.8.2_0
py310-decorator @5.1.1_0
py310-docutils @0.18.1_0
py310-dulwich @0.20.35_0
py310-editables @0.3_0
py310-executing @0.8.3_0
py310-fido2 @0.9.3_0
py310-flit_core @3.7.1_0
py310-gdbm @3.10.4_0
py310-gnureadline @8.0.0_0
py310-gobject3 @3.42.0_0
py310-google-auth @2.6.0_0
py310-gst-python @1.20.2_0
py310-hatch-vcs @0.2.0_1
py310-hatchling @1.3.0_0
py310-idna @3.3_0
py310-imagesize @1.3.0_0
py310-importlib-metadata @4.11.3_0
py310-ipython @8.2.0_1
py310-jedi @0.18.1_0
py310-jinja2 @3.1.2_0
py310-jmespath @1.0.0_0
py310-keyring @23.5.0_0
py310-libxml2 @2.9.14_0
py310-lxml @4.8.0_0
py310-m2r @0.2.1_0
py310-mako @1.2.0_0
py310-markdown @3.3.7_0
py310-markupsafe @2.1.1_0
py310-matplotlib-inline @0.1.3_0
py310-mercurial_extension_utils @1.5.2_0
py310-mistune @0.8.4_0
py310-mypy_extensions @0.4.3_0
py310-nbxmpp @3.0.1_0
py310-numpy @1.22.3_0+gfortran+openblas
py310-olefile @0.46_0
py310-packaging @21.3_0
py310-parsing @3.0.9_0
py310-parso @0.8.3_0
py310-pathspec @0.9.0_0
py310-pep517 @0.12.0_0
py310-pexpect @4.8.0_0
py310-pickleshare @0.7.5_0
py310-Pillow @9.1.1_0
py310-pkginfo @1.8.2_0
py310-platformdirs @2.5.2_0
py310-pluggy @1.0.0_0
py310-precis-i18n @1.0.4_0
py310-prompt_toolkit @3.0.29_0
py310-ptyprocess @0.7.0_0
py310-pure_eval @0.2.2_0
py310-py @1.11.0_0
py310-pybonjour @1.1.3_0
py310-pycparser @2.21_0
py310-pycryptodome @3.14.1_0
py310-pygments @2.12.0_0
py310-python-install @0.0.3_5
py310-re2 @1.0.7_1
py310-requests @2.27.1_0
py310-roman @3.3_0
py310-rsa @4.8_0
py310-ruamel-yaml @0.17.21_0
py310-s3transfer @0.5.2_0
py310-setuptools @62.3.2_0
py310-setuptools_scm @6.4.2_0
py310-simplejson @3.17.6_0
py310-six @1.16.0_0
py310-snowballstemmer @2.2.0_0
py310-sphinx @4.5.0_0
py310-sphinxcontrib-applehelp @1.0.2_0
py310-sphinxcontrib-devhelp @1.0.2_0
py310-sphinxcontrib-htmlhelp @2.0.0_0
py310-sphinxcontrib-jsmath @1.0.1_1
py310-sphinxcontrib-qthelp @1.0.3_0
py310-sphinxcontrib-serializinghtml @1.1.5_0
py310-stack_data @0.2.0_0
py310-terminado @0.13.3_0
py310-tkinter @3.10.4_0
py310-toml @0.10.2_0
py310-tomli @2.0.1_0
py310-tornado @6.1_0
py310-traitlets @5.2.0_0
py310-tz @2022.1_0
py310-urllib3 @1.26.9_0
py310-wcwidth @0.2.5_0
py310-wheel @0.37.1_0
py310-xdg @0.27_0
py310-yaml @6.0_0
py310-zipp @3.8.0_0
pygments_select @0.1_0
python2_select @0.0_3
python3_select @0.0_2
python27 @2.7.18_10
python27-bootstrap @2.7.18_10
python37 @3.7.13_1
python38 @3.8.13_1+dtrace
python39 @3.9.13_0+lto
python310 @3.10.4_1+lto
python_select @0.3_9
qhull @2020.2_1
qof @0.8.8_0
qrupdate @1.1.2_6+accelerate+gcc11
qt4-creator-mac @2.8.1_4
qt4-mac @4.8.7_13
qt4-mac-sqlite3-plugin @4.8.7_2
quartz-wm @1.3.2_1
R @4.2.0_1+builtin_lapack+cairo+gcc11+openmp+recommended+x11
rakudo @2022.04_0
raptor2 @2.0.15_6
rarian @0.8.1_2
rasqal @0.9.33_2
rb25-gettext @3.4.3_0
rb25-locale @2.1.3_0
rb25-text @1.3.1_0
rb27-locale @2.1.3_0
rb31-zentest @4.12.1_0
rbenv @1.1.2_0
re2 @2022-04-01_0
re2c @3.0_0
readline @8.1.2.000_0
redland @1.0.17_2+db48
rendercheck @1.5_1
rgb @1.0.6_1
rhino @1.7R2_1
root_select @1.3_0
rsync @3.2.4_0
rtmpdump @2.4-20210219_0
rtorrent @0.9.8_1
ruby-build @20220426_0
ruby24 @2.4.10_9
ruby25 @2.5.9_4
ruby27 @2.7.5_2
ruby30 @3.0.3_1
ruby31 @3.1.2_0
ruby_select @1.3_0
rust-legacy-bootstrap @20220210_0
samba3 @3.6.25_3
sbcl @2.0.9_0
sbcl-ppc @1.5.9_0
sbcl-ppc-bootstrap @1.2.8_0
scons @3.1.2_0
serf1 @1.3.9_4
sessreg @1.1.2_0
setxkbmap @1.3.2_0
shared-mime-info @2.2_0
showfont @1.0.5_0
shsql @1.28_0
singular @4.3.0_0
slang2 @2.3.2_0
smake @1.2.5_0
smpeg2 @2.0.0_2
smproxy @1.0.6_0
snappy @1.1.9_2
sound-theme-freedesktop @0.8_0
soundtouch @2.3.1_0
soxr @0.1.3_0
spandsp-devel @0.0.6pre21_0
spatialite @5.0.1_3+proj8
spawn-fcgi @1.6.4_0
speex @1.2.0_0
speexDSP @1.2.0_0
sphinx_select @0.1_0
spice-gtk @0.39_0+x11
spice-protocol @0.14.3_0
sqlite3 @3.38.5_0
ssh-copy-id @9.0p1_0
sshuttle @1.1.0_0
subversion @1.14.2_0
sudo @1.9.10_0
SuiteSparse_AMD @2.4.6_0+gcc7
SuiteSparse_BTF @1.2.6_0+gcc7
SuiteSparse_CAMD @2.4.6_0
SuiteSparse_CCOLAMD @2.9.6_0
SuiteSparse_CHOLMOD @3.0.14_1+accelerate
SuiteSparse_COLAMD @2.9.6_0+gcc7
SuiteSparse_config @5.9.0_0+gcc7
SuiteSparse_KLU @1.3.8_0+gcc10
SuiteSparse_UMFPACK @5.7.9_0+accelerate
sundials @6.1.1_0+accelerate+gfortran+mpich
swig @4.0.2_3
swig-guile @4.0.2_3
swig-python @4.0.2_3
swig-r @4.0.2_3
swig3 @3.0.12_3
swig3-guile @3.0.12_3
swig3-python @3.0.12_3
swig3-r @3.0.12_3
t1lib @5.1.2_3
t1utils @1.42_0
taglib @1.12_0
tcl @8.6.12_0+corefoundation+dtrace+threads
tclx @8.4.1_0
tcp_wrappers @20_4
texinfo @6.8_1
texlive-basic @62858_1+doc
texlive-bin @2022.62882_0+x11
texlive-common @2022_0
texlive-fonts-extra @62622_0+doc
texlive-fonts-recommended @61983_0+doc
texlive-lang-english @62564_0+doc
texlive-latex @62387_0+doc
texlive-latex-recommended @62874_0+doc
texlive-math-science @62660_0+doc
texlive-pictures @62759_0+doc
tiff @4.3.0_1
tk @8.6.12_0+x11
tor @0.4.6.8_2
tradcpp @0.5.3_0
transmission-x11 @3.00_2+gtk
transset @1.0.2_0
tuntaposx @20150118_0
twm @1.0.10_0
twolame @0.4.0_1
ubench @0.32_0
uchardet @0.0.7_0
umem @1.0.1_1
unicodeconverter-java @2.0_0
unrar @6.1.7_0
unzip @6.0_4
urw-fonts @1.0.7pre44_0
usbredir @0.9.0_1
ux-trie @0.1.9_0
vala @0.56.1_0
vcdimager @2.0.1_0
vecLibFort @0.4.3_1
vf-1 @0.0.11_1
viewres @1.0.6_0
vlang @2022.16_1
wavpack @5.4.0_0
wcslib @7.7_0
webp @1.2.2_0
webtoolkit-java-sdk @2.9.0_0
wget @1.21.3_0+gnutls
woff2 @1.0.2_0
wxWidgets-3.0 @3.0.5.1_0
wxWidgets-3.0-cxx11 @3.0.5.1_0
wxWidgets-common @3.1.5_0
wxWidgets_select @1.0_1
x11perf @1.6.1_0
x264 @20191217_0
x265 @3.5_0
xar @1.8.0.487.100.1_0
xauth @1.1.2_0
Xaw3d @1.6.3_0
xbacklight @1.2.3_0
xbitmaps @1.1.2_0
xcalc @1.1.0_0
xclipboard @1.1.3_0
xclock @1.0.9_0
xcmsdb @1.0.5_0
xcompmgr @1.1.8_0
xconsole @1.0.7_0
xcursorgen @1.0.7_0
xditview @1.0.5_0
xdm @1.1.12_0
xdpyinfo @1.3.2_0
xedit @1.2.2_0
xemacs @21.4.22_17+sumo
xercesc3 @3.2.3_2
xev @1.2.4_0
xeyes @1.2.0_0
xfd @1.1.3_0
xfindproxy @1.0.4_1
xfontsel @1.0.6_0
xfs @1.2.0_1
xfsinfo @1.0.6_0
Xft2 @2.3.4_0
xgamma @1.0.6_0
xgc @1.0.5_0
xhost @1.0.8_0
xinit @1.4.1_1
xinput @1.6.3_0
xkbcomp @1.4.5_0
xkbevd @1.1.4_0
xkbprint @1.0.5_0
xkbutils @1.0.4_1
xkeyboard-config @2.5.1_1
xkill @1.0.5_0
xload @1.1.3_0
xlogo @1.0.5_0
xlsatoms @1.1.3_0
xlsclients @1.1.4_0
xlsfonts @1.0.6_0
xmag @1.0.6_0
xman @1.1.5_0
xmessage @1.0.5_0
xmh @1.0.3_0
xml-security-c @2.0.4_0
xmlcatmgr @2.2_1
xmlto @0.0.28_4
xmltoman @0.4_1+perl5_28
xmltooling @3.2.1_0
xmodmap @1.0.10_0
xmore @1.0.3_0
xorg-apps @20151011_0
xorg-cf-files @1.0.7_0
xorg-encodings @1.0.5_1
xorg-font-util @1.3.2_0
xorg-fonts @20090102_1
xorg-libAppleWM @1.4.1_1
xorg-libdmx @1.1.4_1
xorg-libfontenc @1.1.4_0
xorg-libFS @1.0.8_0
xorg-libice @1.0.10_0
xorg-libpthread-stubs @0.4_0
xorg-libsm @1.2.3_0
xorg-libX11 @1.8_0
xorg-libXau @1.0.9_0
xorg-libXaw @1.0.14_0
xorg-libxcb @1.15_0+python310
xorg-libXcomposite @0.4.5_0
xorg-libXcursor @1.2.0_0
xorg-libXdamage @1.1.5_0
xorg-libXdmcp @1.1.3_0
xorg-libXevie @1.0.3_2
xorg-libXext @1.3.4_0
xorg-libXfixes @6.0.0_0
xorg-libXfont @1.5.4_2
xorg-libXfont2 @2.0.5_0
xorg-libXfontcache @1.0.5_2
xorg-libXi @1.7.10_0
xorg-libXinerama @1.1.4_1
xorg-libxkbfile @1.1.0_0
xorg-libxkbui @1.0.2_0
xorg-libXmu @1.1.3_0
xorg-libXp @1.0.3_2
xorg-libXpresent @1.0.0_2
xorg-libXrandr @1.5.2_0
xorg-libXres @1.2.0_1
xorg-libXScrnSaver @1.2.3_1
xorg-libxshmfence @1.3_1
xorg-libXt @1.2.1_0
xorg-libXTrap @1.0.1_1
xorg-libXtst @1.2.3_1
xorg-libXv @1.0.11_1
xorg-libXvMC @1.0.11_0
xorg-libXxf86dga @1.1.5_0
xorg-libXxf86vm @1.1.4_1
xorg-proto @20180829_0
xorg-scripts @1.0.1_0
xorg-sgml-doctools @1.11_0
xorg-util-macros @1.19.3_0
xorg-xcb-proto @1.15_0+python310
xorg-xcb-util @0.4.0_1
xorg-xcb-util-cursor @0.1.3_1
xorg-xcb-util-image @0.4.0_1
xorg-xcb-util-keysyms @0.4.0_0
xorg-xcb-util-renderutil @0.3.9_0
xorg-xcb-util-wm @0.4.1_0
xorg-xcb-util-xrm @1.3_1
xorg-xorgproto @2022.1_0
xorg-xtrans @1.4.0_0
xpm @3.5.13_0
xpr @1.0.5_0
xprop @1.2.5_0
xrandr @1.5.0_0
xrdb @1.2.1_0
xrefresh @1.0.6_0
xrender @0.9.10_1
xset @1.2.4_1
xsetmode @1.0.0_1
xsetpointer @1.0.1_1
xsetroot @1.1.2_0
xsm @1.0.4_0
xstdcmap @1.0.4_0
xterm @372_0
xtrap @1.0.3_0
XviD @1.3.7_0
xvinfo @1.1.4_0
xwd @1.0.8_0
xwininfo @1.1.5_0
xwud @1.0.5_0
xxhashlib @0.8.1_1
xz @5.2.5_1
xz-bootstrap @5.2.5_3
yajl @2.1.0_0
yaml-cpp @0.7.0_1
yasm @1.3.0_0
yelp-tools @3.38.0_0
yelp-xsl @3.38.3_0
youtube-dl @2021.12.17_1+ffmpeg+python310
youtube-viewer @3.9.1_0+perl5_28
zim @0.74.3_0
zimg @3.0.4_0
zip @3.00_1
zlib @1.2.12_1
zmq @4.3.4_0
zsh @5.9_0
zstd @1.5.2_0
zvbi @0.2.35_3
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
I am currently using Xcode 3.2 from 10A222: it mostly works (as you can see above), however there is an occasional but nasty linker problem (reason unknown atm). Tools from Xcode 3.2.6 are likely to have less bugs, but on the other hand they may be less compatible with 10.6 PPC. No perfect recipe, work in progress.

At the moment I have installed Xcode 3.2 from 10A433 in 10.6.8 and replaced 10.6 SDK to the one from 10A190. This combination works. (Obviously not ideal for 10.6.8 as such, but my aim is to build for usage on 10A190, at least until someone hopefully brings 10.6 PPC closer to 10.6.8, so that identical SDK can be used.)
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
1. What does build on 10.6.8 for ppc32, but fails on 10A190/10.5.8:

libtorrent-rasterbar https://trac.macports.org/ticket/64202
ux-trie https://trac.macports.org/ticket/64437 (should be fixable)

2. What builds on 10A190, but fails on 10.6.8 Rosetta:

glfw https://trac.macports.org/ticket/64533
irssi https://trac.macports.org/ticket/64521
x265 https://trac.macports.org/ticket/64528 (this I can probably fix)
llvm-3.9
llvm-3.3
llvm-3.4
gcc10-bootstrap (destroot on 10A190, install to Rosetta – works)


3. What builds on 10.5.8 but fails for 10A190:

tuntaposx
qt4-mac


4. What we have outdated all across the board:

tuntaposx (outdated for 10.5.8–10.6) https://trac.macports.org/ticket/64646
libsdl2 https://trac.macports.org/ticket/64655

Lists to be updated. For anything that fails on 10.6.8 Rosetta you can open tickets on Macports.
 
Last edited:
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Some general ideas on what to try if a port fails to build:

1. On 10.6.8 the typical problem is that Macports assumes x86 build architecture (that is, arch of a physical CPU), and a port uses Intel-specific flags etc., which obviously fails in result.
More often than not a fix is as trivial as this:

Code:
configure.args-append  --build=powerpc-apple-darwin10 \
                                  --host=powerpc-apple-darwin10 \
                                  --target=powerpc-apple-darwin10

In some cases that doesn’t suffice, and you may add something like:

Code:
CFLAGS_FOR_BUILD="-arch ppc -m32" \
CXXFLAGS_FOR_BUILD="-arch ppc -m32"

or similar options. In some cases fixing may not be trivial though (esp. with Cmake or Meson build systems).
Another thing to try will be specifying archs directly in the install command, like this:

Code:
sudo port -v install PORTNAME supported_archs="ppc ppc64" build_arch="ppc"

In some cases failure is due to compiler itself, so it may be worth trying this (of course you must have gcc7 built in order to use it):

Code:
sudo port -v install PORTNAME configure.compiler=macports-gcc-7 supported_archs="ppc ppc64" build_arch="ppc"

Do not start from these options though. These are supposed to be fallback options when normal install fails.

2. On 10A190 (and likely on 10.6.8 when using Rosetta and 10A190 SDK) some failures are caused by a lack of certain components in 10.6 PPC which are present in 10.6.8 Intel. Check a port file of failing port, and look for Darwin version-specific choices (10.6 is Darwin 10).
If you see something that is invoked only for Darwin 10 and above, change the line in such a way that it is invoked for Darwin 11 and above. That is, make the port behave as if it builds for 10.5.8.

In case nothing of this kind is explicitly written in a port file, you may try adding these two lines to macports.conf file in /opt/local/etc/macports:

Code:
macosx_deployment_target 10.5
macosx_sdk_version 10.5

(Possibly the first may be sufficient.)
Remove or “comment” them once a port is built. You do not want these settings to be default ones.
 
  • Love
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
How to install a port pre-built on another system:

1. You go with "sudo port -v build PORTNAME" on a system where it does build.
2. Go to /opt/local/var/macports/build and find a folder for the port in question, copy it.
3. On a system where the port fails run "sudo port -v install PORTNAME", it will fail and leave a work directory with a failed build. Go to that directory and replace a folder named after a port + its version or build folder (if it is built in a separate folder outside source) with the one you copied.
4. Inside work directory there is an invisible file .macports.PORTNAME.state, open it and add those lines which miss there as compared to the same file in a copied folder. It will likely be:
Code:
target: org.macports.configure
target: org.macports.build
or just the last one, depending on where the port failed.
5. Run "sudo port -v install PORTNAME" again.
6. PROFIT.
 
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
When a current version of a port does not build for ppc at all, an earlier version may. Unfortunately this is nowhere made obvious. You have to manually go through history of a given port on Github or look into tickets at https://trac.macports.org
How to install an earlier version of a port is outlined here: https://trac.macports.org/wiki/howto/InstallingOlderPort

Example: latest libusb fails to build: https://trac.macports.org/ticket/64408
Earlier version does build however: https://github.com/macports/macport...9417bbc8b37f31a2f4833ee6d57f0359/devel/libusb
In particular, what you do is make a copy of libusb in your local repo using this portfile: https://raw.githubusercontent.com/m...37f31a2f4833ee6d57f0359/devel/libusb/Portfile
Then sync ports, relink custom compilers folder (as described by @kencu) and install a new old libusb.

And building this earlier version is enough to build a number of libusb dependencies.
 
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
And some good news: I have fixed libusb, libass and libvpx.

Code:
36-47% port -v installed libvpx
The following ports are currently installed:
  libvpx @1.5.0_0 requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-15T17:21:42+0800'
  libvpx @1.6.1_0 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-15T19:15:51+0800'

36-47% port -v installed libass
The following ports are currently installed:
  libass @0.13.7_0 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-14T20:14:23+0800'

36-47% port -v installed libusb
The following ports are currently installed:
  libusb @1.0.23_0 requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-13T12:15:09+0800'
  libusb @1.0.25_0 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-13T17:50:35+0800'
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
libvpx and libass fixed to build the latest versions.

On top of that, looks like I got Haskell onto PowerPC:

Code:
36-47% port -v installed | grep ghc
  ghc @7.6.3_4+gcc7 (active) requested_variants='+gcc7' platform='darwin 10' archs='ppc' date='2022-02-19T21:30:01+0800'
  ghc-bootstrap @7.0.1_0 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-19T19:21:34+0800'

And we got a new port that bootstraps gcc10 with a single line: https://ports.macports.org/port/gcc10-bootstrap/

Code:
36-47% port -v installed gcc10-bootstrap
The following ports are currently installed:
  gcc10-bootstrap @10.3.0_1 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-02-19T12:02:07+0800'

You will probably need these changes to make it build on 10.6 PPC or against 10A190 SDK on 10.6.8 (you cannot copy-paste it, you will need to make a proper patch):

Code:
--- /Users/svacchanda/darwin.c    2022-01-30 15:15:59.000000000 +0800
+++ /Users/svacchanda/gcc-10-branch/gcc/config/darwin.c    2022-01-30 02:04:05.000000000 +0800
@@ -3569,7 +3569,7 @@
 darwin_fold_builtin (tree fndecl, int n_args, tree *argp,
              bool ARG_UNUSED (ignore))
 {
-  unsigned int fcode = DECL_MD_FUNCTION_CODE (fndecl);
+  int fcode = DECL_MD_FUNCTION_CODE (fndecl);
 
   if (fcode == darwin_builtin_cfstring)
     {

--- /Users/svacchanda/darwin.h    2022-01-30 15:16:32.000000000 +0800
+++ /Users/svacchanda/gcc-10-branch/gcc/config/darwin.h    2022-01-30 02:12:29.000000000 +0800
@@ -202,7 +202,7 @@
 */
 
 #define DARWIN_NOCOMPACT_UNWIND \
-" %:version-compare(>= 10.6 mmacosx-version-min= -no_compact_unwind) "
+" %:version-compare(>= 10.7 mmacosx-version-min= -no_compact_unwind) "
 
 /* In Darwin linker specs we can put -lcrt0.o and ld will search the library
    path for crt0.o or -lcrtx.a and it will search for for libcrtx.a.  As for
@@ -437,14 +437,14 @@
 #undef REAL_LIBGCC_SPEC
 #define REAL_LIBGCC_SPEC \
 "%{static-libgcc|static:                          \
-    %:version-compare(!> 10.6 mmacosx-version-min= -lgcc_eh)          \
-    %:version-compare(>= 10.6 mmacosx-version-min= -lemutls_w);          \
+    %:version-compare(!> 10.7 mmacosx-version-min= -lgcc_eh)          \
+    %:version-compare(>= 10.7 mmacosx-version-min= -lemutls_w);          \
    shared-libgcc|fexceptions|fobjc-exceptions|fgnu-runtime:          \
     %:version-compare(!> 10.11 mmacosx-version-min= -lgcc_s.1.1)      \
     %:version-compare(>= 10.11 mmacosx-version-min= -lemutls_w)          \
     %:version-compare(!> 10.3.9 mmacosx-version-min= -lgcc_eh)          \
     %:version-compare(>< 10.3.9 10.5 mmacosx-version-min= -lgcc_s.10.4)   \
-    %:version-compare(>< 10.5 10.6 mmacosx-version-min= -lgcc_s.10.5);      \
+    %:version-compare(>< 10.5 10.7 mmacosx-version-min= -lgcc_s.10.5);      \
    : -lemutls_w                                  \
   } -lgcc "
 
@@ -480,8 +480,8 @@
 
 #define DARWIN_CRT1_SPEC                        \
   "%:version-compare(!> 10.5 mmacosx-version-min= -lcrt1.o)        \
-   %:version-compare(>< 10.5 10.6 mmacosx-version-min= -lcrt1.10.5.o)    \
-   %:version-compare(>< 10.6 10.8 mmacosx-version-min= -lcrt1.10.6.o)    \
+   %:version-compare(>< 10.5 10.7 mmacosx-version-min= -lcrt1.10.5.o)    \
+   %:version-compare(>< 10.7 10.8 mmacosx-version-min= -lcrt1.10.6.o)    \
    %{fgnu-tm: -lcrttms.o}"
 
 #define DARWIN_CRT2_SPEC ""
@@ -496,10 +496,10 @@
 
 #define DARWIN_DYLIB1_SPEC                        \
   "%:version-compare(!> 10.5 mmacosx-version-min= -ldylib1.o)        \
-   %:version-compare(>< 10.5 10.6 mmacosx-version-min= -ldylib1.10.5.o)"
+   %:version-compare(>< 10.5 10.7 mmacosx-version-min= -ldylib1.10.5.o)"
 
 #define DARWIN_BUNDLE1_SPEC \
-"%{!static:%:version-compare(< 10.6 mmacosx-version-min= -lbundle1.o)    \
+"%{!static:%:version-compare(< 10.7 mmacosx-version-min= -lbundle1.o)    \
        %{fgnu-tm: -lcrttms.o}}"
 
 #ifdef HAVE_AS_MMACOSX_VERSION_MIN_OPTION
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
A quick update on Xcode on 10.6 PPC: plugins in /Developer/Library/Xcode/Plug-ins from 10A222 are Intel-only. Another reminder to either stay with Xcode from 10A190 or have it ready to replace select components after updating to 10A222.
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
It is advisable to make two installations of Macports in order to set up the main one to use curl from another (since OS curl is too outdated and cannot submit stats).

Here is the code (build and flags added for 10.6.8 case, on 10A190 unneeded):

Code:
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
cd [path to source folder]
./configure --prefix=/opt/bootstrap --build=powerpc-apple-darwin10 --with-applications-dir=/opt/bootstrap/Applications --without-startupitems CC='gcc-4.2 -m32 -arch ppc' CXX='g++-4.2 -m32 -arch ppc'
make && sudo make install
cd /opt/bootstrap/bin
sudo ./port -v sync
sudo ./port -v -N install curl

After everything is built in /opt/bootstrap, you make default installation in /opt/local with newly built curl:

Code:
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
cd [path to source folder]
./configure --build=powerpc-apple-darwin10 --with-curlprefix=/opt/bootstrap CC='gcc-4.2 -m32 -arch ppc' CXX='g++-4.2 -m32 -arch ppc'
make && sudo make install
sudo port -v sync
sudo port -v install mpstats

After make install and before port sync it is advisable to follow steps described earlier (ref link above):
1. Edit /opt/local/etc/macports/macports.conf
2. Edit /opt/local/etc/macports/sources.conf
3. Edit /opt/local/etc/macports/archive_sites.conf

UPD: PLEASE CONSIDER BUILDING MACPORTS IN MAIN PREFIX AGAINST A NEW CURL AND THEN INSTALL MPSTATS. WE NEED THAT TO SHOW DEVELOPERS THAT PORTS ARE IN DEMAND FOR OUR CONFIG.
 
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Here is the overlay repo I am currently using on 10A190. I has many more ports and most of them updated to the latest version or otherwise latest known-to-work versions.

DISCLAIMER: This may or may not work. Portfiles and patches may potentially contain errors (let me know if you find any). Use at your own discretion. Some folders may contain obsolete files or work-in-progress. No guarantees are given whatsoever.

P. S. 10.6.8 Rosetta will need a bit more, I will upload it in a while.
 

Attachments

  • PPCSnowLeopardPorts_v20220309.zip
    1.3 MB · Views: 107
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
And finally, a natively built gcc11:

gcc11.jpg


Screen Shot 2022-03-09 at 2.07.31 AM.png
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
IMPORTANT NOTE for 10.6.8 Rosetta:

For the time-being I advise not to deal with building ports for ppc on 10.6.8.

There are several problems which are non-trivially solvable. While I do have a working Macports tree on 10.6.8 (both against standard 10.6 SDK and 10A190 SDK), it may not be easily reproducible. In particular, I ran into problems on 10.6.8 Server.

The following are major obstacles (relevant to 10.6.8, not to 10A190):

– llvm-3.3 and llvm-3.4 do not build and require being pre-built on 10A190 and ported to 10.6.8.
– gcc10-bootstrap does not build, though I hopefully will fix it in a while (the immediate problem lies with gmp and mpfr components).
– gcc7 builds but unreliably: I ran into problems on 10.6.8 Server.

Once/if I fix gcc10-bootstrap, that will make life on Rosetta much easier. Perhaps wait until then.

Outside Macports gcc10 and gcc11 do build for ppc on 10.6.8, as I described earlier, and should be reproducible.
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Well, I cannot rebuild gcc10-bootstrap today to update it to the last revision, however I used myself its previous revision to successfully build gcc10 and gcc11. Both compilers work now on 10A190.

Consider this work-in-progress with no guarantees attached, but works-for-me.

I will hopefully update the whole overlay repo soon since several ports got updated, but those are unrelated to compilers. As of now you should be able to build gcc10-bootstrap from my portfile on 10A190 and then use it to build gcc10 and gcc11.

Once you do this, rebuild libgcc with libgcc11. There is a corresponding setting to be changed in port1.0/group/compiler-1.0.tcl and of course unban gcc10 and gcc11 in gcc_compilers.tcl.
You may also want to unban gcc10 in mpi: https://trac.macports.org/ticket/64827
 

Attachments

  • gcc10-11.zip
    29.3 KB · Views: 96
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
If anyone interested in darwinbuild, it builds for ppc on 10.6.8:

Code:
macmini:~ svacchanda$ sw_vers
ProductName:    Mac OS X Server
ProductVersion:    10.6.8
BuildVersion:    10K549
macmini:~ svacchanda$ port -v installed darwinbuild
The following ports are currently installed:
  darwinbuild @37_0 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-03-16T11:43:05+0800'

What is needed is to edit away universal part in portfile and after "sudo port -v extract" manually edit prefix.xcconfig, then run usual "sudo port -v install".
 
  • Like
Reactions: ChrisCharman

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
What I have currently built on 10.6.8 Server (in VM) (update 24.05.2022):
Code:
algol68g @3.0.6_0+compiler+plotutils
apache2 @2.4.53_0+preforkmpm
apr @1.7.0_3
apr-util @1.6.1_2+openldap
asio @1.22.1_0
at-spi2-atk @2.38.0_0
at-spi2-core @2.38.0_0
atk @2.38.0_0
autoconf @2.71_1
autoconf-archive @2022.02.11_0
autoconf213 @2.13_1
automake @1.16.5_0
automake115 @1.15.1_0
bash @5.1.16_0
bash-completion @2.11_0
bison @3.8.2_2
bison-runtime @3.8.2_0
boehmgc @8.2.0_0
boost176 @1.76.0_3+no_single+no_static+python310
brotli @1.0.9_2
bsdmake @24_1
bzip2 @1.0.8_0
cairo @1.17.4_0+quartz+x11
cctools @949.0.1_1
cdecl @11.15_0
cloog @0.18.4_5
cmake @3.22.4_0
cmake-bootstrap @3.9.4_0
coreutils @8.32_1
curl @7.83.1_0+ssl
curl-ca-bundle @7.83.1_0
cyrus-sasl2 @2.1.27_5+kerberos
cython_select @0.1_1
darwinbuild @37_0
dav1d @1.0.0_0
db47 @4.7.25_3+java
db48 @4.8.30_4+java
dbus @1.14.0_0
dejagnu @1.6.2_0
dmd-bootstrap @2.099.1_0
docbook-xml @5.0_3
docbook-xml-4.1.2 @5.0_1
docbook-xml-4.2 @5.0_1
docbook-xml-4.3 @5.0_1
docbook-xml-4.4 @5.0_1
docbook-xml-4.5 @5.0_1
docbook-xml-5.0 @5.0_1
docbook-xsl-nons @1.79.2_0
docutils_select @0.1_0
dyncall @1.3_0
eigen3 @3.4.0_0
expat @2.4.8_0
expect @5.45.4_1
findutils @4.7.0_1
flex @2.6.4_0
fontconfig @2.14.0_0
fop @1.1_1
freetype @2.11.1_0
fribidi @1.0.12_0
gajim @1.3.3-2_0+avatars+remote
gawk @5.1.1_1+mpfr
gcc10 @10.3.0_1
gcc10-bootstrap @10.3.0_4
gcc11 @11.3.0_1
gcc_select @0.1_9
gd2 @2.3.3_1+x11
gdbm @1.23_0
gdk-pixbuf2 @2.42.8_0
getopt @1.1.6_0
gettext @0.21_0
gettext-runtime @0.21_0
gettext-tools-libs @0.21_0
ghc-ppc-bootstrap @7.0.4_0
ghostscript @9.55.0_0+x11
giflib @4.2.3_0
gindent @2.2.12_0
git @2.36.1_0+credential_osxkeychain+diff_highlight+doc+pcre+perl5_28
glib-networking @2.66.0_0
glib2 @2.72.1_0+x11
glpk @5.0_0
glslang @11.9.0_0
gmake @4.3_0
gmp @6.2.1_0
gnome-common @3.18.0_0
gnupg2 @2.2.34_0+pinentry
gnuregex @0.12_2
gnutar @1.34_2
gnutls @3.7.5_0
gobject-introspection @1.72.0_0
gperf @3.1_0
graphite2 @1.3.14_1
graphviz @2.50.0_0+pangocairo+x11
grep @3.7_2
groff @1.22.4_6
gsed @4.8_1
gsettings-desktop-schemas @3.38.0_0
gsl @2.7.1_0
gtk-doc @1.32_1+python310
gtk2 @2.24.33_1+x11
gtk3 @3.24.33_0+x11
gts @0.7.6-20121130_1
guile @3.0.8_0
gzip @1.12_0
harfbuzz @4.3.0_0
help2man @1.49.2_0
hicolor-icon-theme @0.17_0
howdoi @2.0.19_0
hwloc @2.4.1_0
ico @1.0.5_0
icu @67.1_4
irssi @1.2.3_1+perl
isl @0.24_1
isl18 @0.18_0
itstool @2.0.7_2+python39
jansson @2.13.1_0
jasper @2.0.33_0
jbig2dec @0.19_0
jbigkit @2.1_0
kerberos5 @1.19.3_0
lcms2 @2.13.1_0
ld64 @3_4+ld64_97
ld64-97 @97.17_9
legacy-support @1.0.6_1
lerc @3.0_0
less @590_0+pcre
libarchive @3.6.1_0
libassuan @2.5.5_0
libatomic_ops @7.6.12_0
libb2 @0.98.1_1
libb64 @1.1_0
libcbor @0.8.0_0
libcomerr @1.45.6_0
libde265 @1.0.8_0
libedit @20210910-3.1_1
libepoxy @1.5.10_0
libevent @2.1.12_1
libfetch @9.0.0-RELEASE_3
libffi @3.4.2_2
libgcc @5.0_0
libgcc10 @10.3.0_2
libgcc11 @11.3.0_1
libgcrypt @1.10.1_0
libgit2 @1.4.2_1+threadsafe
libgpg-error @1.45_0
libheif @1.12.0_4
libhttpd @2.0_0
libiconv @1.17_0
libidl @0.8.14_2
libidn @1.38_0
libidn2 @2.3.2_1
libjpeg-turbo @2.1.3_0
libksba @1.6.0_0
libLASi @1.1.3_1
libmacho-headers @949.0.1_0
libmpc @1.2.1_0
libmpdclient @2.20_0
libnetpbm @10.98.02_0
libogg @1.3.5_1
libpaper @1.1.28_0
libpixman @0.38.4_0
libpng @1.6.37_0
libproxy @0.4.17_0+python27
libpsl @0.21.1-20220513_0
libsoup @3.0.6_0
libssh2 @1.10.0_0
libtapi @1100.0.11_1
libtasn1 @4.18.0_0
libtextstyle @0.21_0
libtommath @1.2.0_2
libtool @2.4.7_0
libunistring @1.0_0
libunrar @6.1.7_0
libupnp @1.14.12_0
libusb @1.0.26_0
libusb-compat @0.1.7_0
libuv @1.44.1_0
libxml2 @2.9.14_0
libxslt @1.1.34_6
libyaml @0.2.5_0
lighttpd @1.4.64_1+ssl
links @2.26_0
llvm-3.3 @3.3_13
llvm-5.0 @5.0.2_3+polly
llvm_select @2_0
lmdb @0.9.29_0
lua @5.3.5_0
luajit @2.1.0-beta3_5
lz4 @1.9.3_1
lzip @1.23_0
lzma @4.65_1
lzo2 @2.10_0
m4 @1.4.19_1
mandoc @1.14.6_0
mercurial @6.1.1_1
mesa @17.1.6_2+osmesa+python27
meson @0.62.1_0
miniupnpc @2.2.3_1
MoarVM @2022.04_0
mpc @0.34_0
mpfr @4.1.0_0
mpi-doc @4.0.2_0
mpi_select @0.0_3
mpich-gcc11 @4.0.2_0+fortran
mpstats @0.2.0_0
n2n @3.0_0
nasm @2.15.05_0
ncurses @6.3_0
netpbm @10.98.02_0+x11
nettle @3.7.3_0
nghttp2 @1.47.0_0
ninja @1.11.0_0
npth @1.6_0
nqp @2022.04_0
nspr @4.33_0
ocaml @4.14.0_0
ocaml-findlib @1.9.3_0
ocaml-ocamlbuild @0.14.1_0
onetbb @2021.5.0_1
opam @2.1.2_0
openjdk7-bootstrap @1.7.0_2_0
openjpeg @2.5.0_0
openldap @2.6.2_0
openssh @9.0p1_4+kerberos5+xauth
openssl @3_4
openssl3 @3.0.3_0+legacy
openssl11 @1.1.1n_0
orbit2 @2.14.19_3
orc @0.4.32_0
ossp-uuid @1.6.2_12+perl5_28
p5.28-authen-sasl @2.160.0_0
p5.28-b-cow @0.4.0_0
p5.28-capture-tiny @0.480.0_0
p5.28-cgi @4.540.0_0
p5.28-clone @0.450.0_0
p5.28-cpan-meta @2.150.10_0
p5.28-cpan-meta-requirements @2.140.0_0
p5.28-cpan-meta-yaml @0.18.0_0
p5.28-devel-checkbin @0.40.0_0
p5.28-digest-hmac @1.40.0_0
p5.28-digest-sha1 @2.130.0_4
p5.28-encode @3.170.0_0
p5.28-encode-locale @1.50.0_0
p5.28-error @0.170.290_0
p5.28-extutils-makemaker @7.640.0_1
p5.28-extutils-manifest @1.730.0_0
p5.28-gssapi @0.280.0_3
p5.28-html-parser @3.780.0_0
p5.28-html-tagset @3.200.0_4
p5.28-http-date @6.50.0_0
p5.28-http-message @6.360.0_0
p5.28-inc-latest @0.500.0_0
p5.28-io-html @1.4.0_0
p5.28-io-socket-ip @0.410.0_0
p5.28-io-socket-ssl @2.74.0_0
p5.28-lwp-mediatypes @6.40.0_0
p5.28-mime-base64 @3.160.0_0
p5.28-module-build @0.423.100_0
p5.28-module-metadata @1.0.37_0
p5.28-mozilla-ca @20211001_0
p5.28-net-libidn @0.120.0_5
p5.28-net-smtp-ssl @1.40.0_0
p5.28-net-ssleay @1.920.0_0
p5.28-perl-ostype @1.10.0_0
p5.28-pod-escapes @1.70.0_0
p5.28-pod-simple @3.430.0_0
p5.28-podlators @4.140.0_0
p5.28-scalar-list-utils @1.620.0_0
p5.28-socket @2.33.0_0
p5.28-sub-name @0.260.0_0
p5.28-sub-uplevel @0.280.0_0
p5.28-term-readkey @2.380.0_0
p5.28-test-deep @1.130.0_0
p5.28-test-exception @0.430.0_0
p5.28-test-fatal @0.16.0_0
p5.28-test-needs @0.2.9_0
p5.28-test-nowarnings @1.60.0_0
p5.28-test-warn @0.360.0_0
p5.28-time-local @1.300.0_0
p5.28-timedate @2.330.0_0
p5.28-try-tiny @0.310.0_0
p5.28-uri @5.100.0_0
p5.28-version @0.992.900_0
p5.34-locale-gettext @1.70.0_1
p5.34-pkgconfig @0.250.260_0
p5.34-socket @2.33.0_0
p11-kit @0.24.1_0
pango @1.50.7_0+quartz+x11
par2 @0.8.1_0
pcre @8.45_0
pcre2 @10.40_0
perl5 @5.28.3_0+perl5_28
perl5.28 @5.28.3_4
perl5.30 @5.30.3_3
perl5.34 @5.34.0_2
pinentry @1.1.0_1
pkgconfig @0.29.2_0
plotutils @2.6_5
popt @1.18_1
ppl @1.2_0
psutils @p17_1
pth @2.0.7_1
py-bootstrap-modules @2021-11-21_1
py27-libxml2 @2.9.14_0
py27-pybonjour @1.1.1_0
py38-botocore @1.26.6_0
py38-build @0.7.0_0
py38-cairo @1.21.0_0
py38-certifi @2022.5.18.1_0
py38-cffi @1.15.0_0
py38-cryptography @2.9.2_2
py38-dateutil @2.8.2_0
py38-gobject3 @3.42.0_0
py38-importlib-metadata @4.11.3_0
py38-jmespath @1.0.0_0
py38-keyring @23.5.0_0
py38-lxml @4.8.0_0
py38-nbxmpp @0.6.10_0
py38-olefile @0.46_0
py38-openssl @21.0.0_0
py38-packaging @21.3_0
py38-parsing @3.0.9_0
py38-pep517 @0.12.0_0
py38-Pillow @9.1.1_0
py38-precis-i18n @1.0.4_0
py38-pycparser @2.21_0
py38-python-install @0.0.3_5
py38-setuptools @62.3.2_0
py38-setuptools_scm @6.4.2_0
py38-six @1.16.0_0
py38-tkinter @3.8.13_0
py38-tomli @2.0.1_0
py38-tz @2022.1_0
py38-urllib3 @1.26.9_0
py38-wheel @0.37.1_0
py38-zipp @3.8.0_0
py39-alabaster @0.7.12_0
py39-appdirs @1.4.4_0
py39-attrs @21.4.0_0
py39-babel @2.9.1_0
py39-botocore @1.26.6_0
py39-build @0.7.0_0
py39-cairo @1.21.0_0
py39-cattrs @1.8.0_0
py39-certifi @2022.5.18.1_0
py39-cffi @1.15.0_0
py39-charset-normalizer @2.0.12_0
py39-cryptography @2.9.2_2
py39-cssselect @1.1.0_0
py39-dateutil @2.8.2_0
py39-docutils @0.18.1_0
py39-idna @3.3_0
py39-imagesize @1.3.0_0
py39-importlib-metadata @4.11.3_0
py39-jinja2 @3.1.2_0
py39-jmespath @1.0.0_0
py39-keyring @23.5.0_0
py39-libxml2 @2.9.14_0
py39-markupsafe @2.1.1_0
py39-nbxmpp @0.6.10_0
py39-olefile @0.46_0
py39-openssl @21.0.0_0
py39-packaging @21.3_0
py39-parsing @3.0.9_0
py39-pep517 @0.12.0_0
py39-Pillow @9.1.1_0
py39-precis-i18n @1.0.4_0
py39-pybonjour @1.1.3_0
py39-pycparser @2.21_0
py39-pygments @2.12.0_0
py39-python-install @0.0.3_5
py39-requests @2.27.1_0
py39-requests-cache @0.9.3_0
py39-roman @3.3_0
py39-setuptools @62.3.2_0
py39-setuptools_scm @6.4.2_0
py39-six @1.16.0_0
py39-snowballstemmer @2.2.0_0
py39-sphinx @4.5.0_0
py39-sphinxcontrib-applehelp @1.0.2_0
py39-sphinxcontrib-devhelp @1.0.2_0
py39-sphinxcontrib-htmlhelp @2.0.0_0
py39-sphinxcontrib-jsmath @1.0.1_1
py39-sphinxcontrib-qthelp @1.0.3_0
py39-sphinxcontrib-serializinghtml @1.1.5_0
py39-tkinter @3.9.13_0
py39-tomli @2.0.1_0
py39-tz @2022.1_0
py39-url-normalize @1.4.3_0
py39-urllib3 @1.26.9_0
py39-wheel @0.37.1_0
py39-zipp @3.8.0_0
py310-anytree @2.8.0_1
py310-appdirs @1.4.4_0
py310-attrs @21.4.0_0
py310-beaker @1.11.0_0
py310-botocore @1.26.6_0
py310-build @0.7.0_0
py310-cairo @1.21.0_0+quartz+x11
py310-cattrs @1.8.0_0
py310-certifi @2022.5.18.1_0
py310-charset-normalizer @2.0.12_0
py310-cssselect @1.1.0_0
py310-cython @0.29.30_0
py310-dateutil @2.8.2_0
py310-docutils @0.18.1_0
py310-gnureadline @8.0.0_0
py310-idna @3.3_0
py310-jinja2 @3.1.2_0
py310-jmespath @1.0.0_0
py310-libxml2 @2.9.14_0
py310-lxml @4.8.0_0
py310-mako @1.2.0_0
py310-markdown @3.3.7_0
py310-markupsafe @2.1.1_0
py310-olefile @0.46_0
py310-packaging @21.3_0
py310-parsing @3.0.9_0
py310-pep517 @0.12.0_0
py310-Pillow @9.1.1_0
py310-pybonjour @1.1.3_0
py310-pygments @2.12.0_0
py310-pyquery @1.4.3_0
py310-python-install @0.0.3_5
py310-re2 @1.0.7_1
py310-requests @2.27.1_0
py310-requests-cache @0.9.3_0
py310-roman @3.3_0
py310-setuptools @62.3.2_0
py310-setuptools_scm @6.4.2_0
py310-six @1.16.0_0
py310-tkinter @3.10.4_0
py310-tomli @2.0.1_0
py310-tz @2022.1_0
py310-url-normalize @1.4.3_0
py310-urllib3 @1.26.9_0
py310-wheel @0.37.1_0
pygments_select @0.1_0
python2_select @0.0_3
python3_select @0.0_2
python27 @2.7.18_10
python27-bootstrap @2.7.18_10
python38 @3.8.13_1
python39 @3.9.13_0+lto
python310 @3.10.4_1+lto
python_select @0.3_9
qhull @2020.2_1
qof @0.8.8_0
R @4.2.0_1+builtin_lapack+cairo+gcc11+openmp+recommended+x11
rakudo @2022.04_0
re2 @2022-04-01_0
re2c @3.0_0
readline @8.1.2.000_0
rsync @3.2.3_1
ruby25 @2.5.9_4
ruby_select @1.3_0
shared-mime-info @2.2_0
smake @1.2.5_0
spawn-fcgi @1.6.4_0
sphinx_select @0.1_0
sqlite3 @3.38.5_0
ssh-copy-id @9.0p1_0
SuiteSparse_AMD @2.4.6_0
SuiteSparse_BTF @1.2.6_0
SuiteSparse_COLAMD @2.9.6_0
SuiteSparse_config @5.9.0_0
SuiteSparse_KLU @1.3.8_0
sundials @6.1.0_0+accelerate+gfortran+mpich
tcl @8.6.12_0+corefoundation+threads
tcp_wrappers @20_4
texinfo @6.8_1
tiff @4.3.0_1
tk @8.6.12_0+x11
tor @0.4.6.8_2
tuntaposx @20150118_0
uchardet @0.0.7_0
unrar @6.1.7_0
unzip @6.0_4
urw-fonts @1.0.7pre44_0
vala @0.56.1_0
webp @1.2.2_0
woff2 @1.0.2_0
x265 @3.5_0
xar @1.8.0.487.100.1_0
xauth @1.1.2_0
Xft2 @2.3.4_0
xmlcatmgr @2.2_1
xmlto @0.0.28_4
xorg-libice @1.0.10_0
xorg-libpthread-stubs @0.4_0
xorg-libsm @1.2.3_0
xorg-libX11 @1.8_0
xorg-libXau @1.0.9_0
xorg-libXaw @1.0.14_0
xorg-libxcb @1.15_0+python310
xorg-libXcomposite @0.4.5_0
xorg-libXcursor @1.2.0_0
xorg-libXdamage @1.1.5_0
xorg-libXdmcp @1.1.3_0
xorg-libXext @1.3.4_0
xorg-libXfixes @6.0.0_0
xorg-libXi @1.7.10_0
xorg-libXinerama @1.1.4_1
xorg-libXmu @1.1.3_0
xorg-libXrandr @1.5.2_0
xorg-libXScrnSaver @1.2.3_1
xorg-libXt @1.2.1_0
xorg-libXtst @1.2.3_1
xorg-libXxf86vm @1.1.4_1
xorg-util-macros @1.19.3_0
xorg-xcb-proto @1.15_0+python310
xorg-xcb-util @0.4.0_1
xorg-xorgproto @2022.1_0
xorg-xtrans @1.4.0_0
xpm @3.5.13_0
xrender @0.9.10_1
xxhashlib @0.8.1_1
xz @5.2.5_1
xz-bootstrap @5.2.5_3
zimg @3.0.4_0
zip @3.00_1
zlib @1.2.12_1
zsh @5.9_0
zstd @1.5.2_0
 
Last edited:

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
A quick update on Xcode on 10.6 PPC: plugins in /Developer/Library/Xcode/Plug-ins from 10A222 are Intel-only. Another reminder to either stay with Xcode from 10A190 or have it ready to replace select components after updating to 10A222.

More on broken components from Xcode 10A222:
Code:
/usr/bin/bsdmake
/usr/bin/gm4
/usr/bin/m4
These are to be replaced with respective ones from 10A190.

So to sum up, the following components have to be sourced from 10A190 after installation of Xcode 10A222:
Code:
/usr/bin/bsdmake
/usr/bin/gm4
/usr/bin/gnumake
/usr/bin/ld
/usr/bin/malloc_history
/usr/bin/m4
/Developer/usr/bin/bsdmake
/Developer/usr/bin/gm4
/Developer/usr/bin/gnumake
/Developer/usr/bin/ld
/Developer/usr/bin/malloc_history
/Developer/usr/bin/m4
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
Once/if I fix gcc10-bootstrap, that will make life on Rosetta much easier. Perhaps wait until then.

I sorta got tired of looking for fixes and used pre-built gcc10-bootstrap from 10A190 (destroot stage) to install into 10.6.8 directly. That worked (nothing surprising, it should have).
Left MacMini to build proper gcc10 natively using gcc10-bootstrap. Gonna update in a while if that succeeds.

If anyone will be interested to build ports on 10.6.8 Rosetta, what I can suggest is uploading my gcc10-bootstrap build from 10A190, then you may just copy it into a build directory and adjust target to destroot in macports state file.
You may also need a prebuilt llvm-3.3 or llvm-3.4 from 10A190. Rosetta is a pain -_- (However it allows to build few ports that fail on 10.5.8 and 10A190.)
 

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
I will post significant updates as separate comments, otherwise it is hard to see what changed in the combined list adobe.

ld64-97 @97.17_9+llvm50
ld64 rebuilt with +llvm5, fully functional and possibly better (some issues are resolved, it seems).

llvm-7.0 @7.1.0_2+emulated_tls+polly
llvm-7.1 built with emutls and polly. Did not yet try to upgrade the linker.

libtapi @1100.0.11_0
Latest libtapi is fixed for ppc.

ffmpeg @4.4.1_1+gpl2+gpl3+nonfree+x11
This has been for some time already: a number of components fixed for ppc.

guile @2.9.9_0
We are ahead of Macports here.

MoarVM + nqp + rakudo @2022.02_0 (perl6)
And here too. Fixed it for Macports yesterday, but we got a newer version.

R @4.1.3_0+builtin_lapack+cairo+gcc11+openmp+recommended+x11
R and a number of scientific computation ports updated to the latest versions with gcc10/gcc11.

wxWidgets-3.0 @3.0.5.1_0
Fixed for 10.6 PPC.

P. S. I will probably share an updated overlay repo with most of ports brought to the latest versions in a day or two.
 
  • Like
Reactions: cellularmitosis

barracuda156

macrumors 68000
Original poster
Sep 3, 2021
1,549
1,155
I sorta got tired of looking for fixes and used pre-built gcc10-bootstrap from 10A190 (destroot stage) to install into 10.6.8 directly. That worked (nothing surprising, it should have).
Left MacMini to build proper gcc10 natively using gcc10-bootstrap. Gonna update in a while if that succeeds.

Success eventually. (It was slow in a VM!)

Code:
macmini:~ svacchanda$ port -v installed gcc10
The following ports are currently installed:
  gcc10 @10.3.0_1 (active) requested_variants='' platform='darwin 10' archs='ppc' date='2022-03-23T18:34:48+0800'
macmini:~ svacchanda$ sw_vers
ProductName:    Mac OS X Server
ProductVersion:    10.6.8
BuildVersion:    10K549
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.